
--
local tAllButtons;
local tThreat;
local tButton;
local tBar;
local tColor;
function VUHDO_updateThreatPerc(aUnit)
  tAllButtons = VUHDO_getUnitButtons(aUnit);
	if (tAllButtons == nil) then
		return;
	end

	tThreat = VUHDO_RAID[aUnit].threatPerc;
	if (tThreat >= VUHDO_CONFIG["THREAT"]["THREAT_SYMBOL_MIN_PERCENT"]) then
		tColor = VUHDO_PANEL_SETUP["BAR_COLORS"]["THREAT"]["HIGH"];
	else
		tColor = VUHDO_PANEL_SETUP["BAR_COLORS"]["THREAT"]["LOW"];
	end

	for _, tButton in pairs(tAllButtons) do
		tBar = VUHDO_getHealthBar(tButton, 7);
		tBar:SetValue(tThreat);
		tBar:SetStatusBarColor(tColor.R, tColor.G, tColor.B, tColor.O);
	end
end



--
local tLevel;
local function VUHDO_customizeThreatSymbol(aThreatSymbol, aUnit)
	tLevel = VUHDO_RAID[aUnit].threat;
	if (tLevel == 2) then
		aThreatSymbol:SetVertexColor(1, 0.5, 0, 1);
		aThreatSymbol:Show();
		UIFrameFlash(aThreatSymbol, 0.2, 0.5, 3.2, true, 0, 0);
	elseif (tLevel == 3) then
		aThreatSymbol:SetVertexColor(1, 0, 0, 1);
		aThreatSymbol:Show();
		UIFrameFlash(aThreatSymbol, 0.2, 0.5, 3.2, true, 0, 0);
	else
		UIFrameFlashRemoveFrame(aThreatSymbol);
		aThreatSymbol:Hide();
	end
end



--
local tAllButtons;
local tButton;
function VUHDO_updateThreatSymbols(aUnit)
  tAllButtons = VUHDO_getUnitButtons(aUnit);
	if (tAllButtons == nil) then
		return;
	end

	for _, tButton in pairs(tAllButtons) do
		VUHDO_customizeThreatSymbol(VUHDO_getAggroTexture(VUHDO_getHealthBar(tButton, 1)), aUnit);
	end
end
