﻿
if (GetLocale() ~= "ruRU") then
	return;
end


-- @EXACT = true: Translation has to be the exact(!) match in the clients language,
--                beacause it carries technical semantics
-- @EXACT = false: Translation can be done freely, because text is only descriptive


-- Class Names
-- @EXACT = false
VUHDO_I18N_WARRIORS="Warriors"
VUHDO_I18N_ROGUES = "Rogues";
VUHDO_I18N_HUNTERS = "Hunters";
VUHDO_I18N_PALADINS = "Paladins";
VUHDO_I18N_MAGES = "Mages";
VUHDO_I18N_WARLOCKS = "Warlocks";
VUHDO_I18N_SHAMANS = "Shamans";
VUHDO_I18N_DRUIDS = "Druids";
VUHDO_I18N_PRIESTS = "Priests";
VUHDO_I18N_DEATH_KNIGHT = "Death Knights";


-- Group Model Names
-- @EXACT = false
VUHDO_I18N_GROUP = "Group";
VUHDO_I18N_OWN_GROUP = "Own Group";


-- Special Model Names
-- @EXACT = false
VUHDO_I18N_PETS = "Pets";
VUHDO_I18N_MAINTANKS = "Main Tanks";
VUHDO_I18N_PRIVATE_TANKS = "Private Tanks";



-- General Labels
-- @EXACT = false
VUHDO_I18N_OKAY = "Okay";
VUHDO_I18N_CLASS = "Class";
VUHDO_I18N_UNDEFINED = "<n/a>";
VUHDO_I18N_PLAYER = "Player";


-- VuhDoTooltip.lua
-- @EXACT = false
VUHDO_I18N_TT_POSITION = "|cffffb233Position:|r";
VUHDO_I18N_TT_GHOST = "<GHOST>";
VUHDO_I18N_TT_DEAD = "<DEAD>";
VUHDO_I18N_TT_AFK = "<AFK>";
VUHDO_I18N_TT_DND = "<DND>";
VUHDO_I18N_TT_LIFE = "|cffffb233Life:|r ";
VUHDO_I18N_TT_MANA = "|cffffb233Mana:|r ";
VUHDO_I18N_TT_LEVEL = "Level ";


-- VuhDoPanel.lua
-- @EXACT = false
VUHDO_I18N_CHOOSE = "Choose";
VUHDO_I18N_DRAG = "Drag";
VUHDO_I18N_REMOVE = "Remove";
VUHDO_I18N_ME = "me!";
VUHDO_I18N_TYPE = "Type";
VUHDO_I18N_VALUE = "Value";
VUHDO_I18N_SPECIAL = "Special";
VUHDO_I18N_BUFF_ALL = "all";
VUHDO_I18N_SHOW_BUFF_WATCH = "Show Buff Watch";



-- Heal Spell Names
-- @EXACT = true
--
VUHDO_I18N_RANK = "Ранг";


-- Chat messages
-- @EXACT = false
VUHDO_I18N_COMMAND_LIST = "\n|cffffe566 - [ VuhDo Commands ] -|r";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566opt|r[ions] - VuhDo Options";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566res|r[et] - Reset Panel Positions";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566lock|r - Toggle Panel Lock";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566mm, map, minimap|r - Toggle Minimap Icon";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566show, hide, toggle|r - Turn Panels on/off";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§[broad]|cffffe566cast, mt|r[s] - Broadcast maintanks";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566role|r - Reset player roles";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566aegis x|r - Set Divine Aegis detection sensivity";
VUHDO_I18N_COMMAND_LIST = VUHDO_I18N_COMMAND_LIST .. "§|cffffe566help,?|r - This command list\n";

VUHDO_I18N_BAD_COMMAND = "Bad argument! Type '/vuhdo help' or '/vd ?' for command list.";
VUHDO_I18N_CHAT_SHOWN = "|cffffe566shown|r.";
VUHDO_I18N_CHAT_HIDDEN = "|cffffe566hidden|r.";
VUHDO_I18N_MM_ICON = "Minimap Icon is now ";
VUHDO_I18N_MTS_BROADCASTED = "Main tanks were broadcastet to the raid";
VUHDO_I18N_PANELS_SHOWN = "Heal Panels are now |cffffe566shown|r.";
VUHDO_I18N_PANELS_HIDDEN = "Heal Panels are now |cffffe566hidden|r.";
VUHDO_I18N_LOCK_PANELS_PRE = "Panel Positions are now ";
VUHDO_I18N_LOCK_PANELS_LOCKED = "|cffffe566locked|r.";
VUHDO_I18N_LOCK_PANELS_UNLOCKED = "|cffffe566unlocked|r.";
VUHDO_I18N_PANELS_RESET = "Panel Positions are now reset.";


-- Config Pop-Up
-- @EXACT = false
VUHDO_I18N_ROLE = "Role";
VUHDO_I18N_PRIVATE_TANK = "Private Tank";
VUHDO_I18N_SET_BUFF = "Set Buff";


-- Minimap
-- @EXACT = false
VUHDO_I18N_VUHDO_OPTIONS = "VuhDo Options";
VUHDO_I18N_ABOUT = "About";
VUHDO_I18N_PANEL_SETUP = "Options";
VUHDO_I18N_MM_TOOLTIP = "Left: Panel Setup\nRight: Menu";
VUHDO_I18N_TOGGLES = "Toggles";
VUHDO_I18N_LOCK_PANELS = "Lock Panels";
VUHDO_I18N_SHOW_PANELS = "Show Panels";
VUHDO_I18N_MM_BUTTON = "Minimap Button";
VUHDO_I18N_CLOSE = "Close";
VUHDO_I18N_BROADCAST_MTS = "Broadcast MTs";



-- Buff categories
-- @EXACT = false
-- Priest
VUHDO_I18N_BUFFC_FORTITUDE = "01Стойкость";
VUHDO_I18N_BUFFC_SPIRIT = "02Дух";
VUHDO_I18N_BUFFC_SHADOW_PROTECTION = "03Защита от темной магии";

-- Shaman
VUHDO_I18N_BUFFC_FIRE_TOTEM = "01Тотем огня";
VUHDO_I18N_BUFFC_AIR_TOTEM = "02Тотем воздуха";
VUHDO_I18N_BUFFC_EARTH_TOTEM = "03Тотем земли";
VUHDO_I18N_BUFFC_WATER_TOTEM = "04Тотем воды";
VUHDO_I18N_BUFFC_WEAPON_ENCHANT = "08Зачарование оружия";
VUHDO_I18N_BUFFC_SHIELDS = "09Щиты";

-- Paladin
VUHDO_I18N_BUFFC_BLESSING = "01Благословение";
VUHDO_I18N_BUFFC_AURA = "02Аура";
VUHDO_I18N_BUFFC_SEAL = "03Печать";

-- Druids

-- Warlock
VUHDO_I18N_BUFFC_SKIN = "01Шкура";

-- Mage
VUHDO_I18N_BUFFC_ARMOR_MAGE = "03доспех";

-- Death Knight
VUHDO_SPELL_ID_BUFFC_PRESENCE    = "03Власть";

-- Warrior
VUHDO_I18N_BUFFC_SHOUT = "01крик";

-- Hunter
VUHDO_I18N_BUFFC_ASPECT = "02Дух";


-- Key Binding Headers/Names
-- @EXACT = false
BINDING_HEADER_VUHDO_TITLE = "VuhDo - Raid Frames";
BINDING_NAME_VUHDO_KEY_ASSIGN_1 = "Mouse over Spell 1";
BINDING_NAME_VUHDO_KEY_ASSIGN_2 = "Mouse over Spell 2";
BINDING_NAME_VUHDO_KEY_ASSIGN_3 = "Mouse over Spell 3";
BINDING_NAME_VUHDO_KEY_ASSIGN_4 = "Mouse over Spell 4";
BINDING_NAME_VUHDO_KEY_ASSIGN_5 = "Mouse over Spell 5";
BINDING_NAME_VUHDO_KEY_ASSIGN_6 = "Mouse over Spell 6";
BINDING_NAME_VUHDO_KEY_ASSIGN_7 = "Mouse over Spell 7";
BINDING_NAME_VUHDO_KEY_ASSIGN_8 = "Mouse over Spell 8";
BINDING_NAME_VUHDO_KEY_ASSIGN_9 = "Mouse over Spell 9";
BINDING_NAME_VUHDO_KEY_ASSIGN_10 = "Mouse over Spell 10";
BINDING_NAME_VUHDO_KEY_ASSIGN_11 = "Mouse over Spell 11";
BINDING_NAME_VUHDO_KEY_ASSIGN_12 = "Mouse over Spell 12";
BINDING_NAME_VUHDO_KEY_ASSIGN_13 = "Mouse over Spell 13";
BINDING_NAME_VUHDO_KEY_ASSIGN_14 = "Mouse over Spell 14";
BINDING_NAME_VUHDO_KEY_ASSIGN_15 = "Mouse over Spell 15";
BINDING_NAME_VUHDO_KEY_ASSIGN_16 = "Mouse over Spell 16";

BINDING_NAME_VUHDO_KEY_ASSIGN_SMART_BUFF = "Smart Buff";

VUHDO_I18N_MOUSE_OVER_BINDING = "Keyboard spell";
VUHDO_I18N_UNASSIGNED = "(unassigned)";


-- #+V1.89
VUHDO_I18N_YES = "Yes";
VUHDO_I18N_NO = "No";
VUHDO_I18N_UP = "up";
VUHDO_I18N_DOWN = "down";
VUHDO_I18N_VEHICLES = "Vehicles";

-- #+v1.94
VUHDO_I18N_DEFAULT_RES_ANNOUNCE = "Come to life, vuhdo, you b00n!";

-- #v+1.151
VUHDO_I18N_MAIN_ASSISTS = "Main Assists";

-- #v+1.169
VUHDO_I18N_O_REALLY = "O'RLY?";

-- #+v1.184
VUHDO_I18N_BW_CD = "CD";
VUHDO_I18N_BW_GO = "GO!";
VUHDO_I18N_BW_LOW = "LOW";
VUHDO_I18N_BW_N_A = "|cffff0000N/A|r";
VUHDO_I18N_BW_RNG_RED = "|cffff0000RNG|r";
VUHDO_I18N_BW_OK = "OK";
VUHDO_I18N_BW_RNG_YELLOW = "|cffffff00RNG|r";

VUHDO_I18N_PROMOTE_RAID_LEADER = "Promote to Raid Leader";
VUHDO_I18N_PROMOTE_ASSISTANT = "Promote to Assistant";
VUHDO_I18N_DEMOTE_ASSISTANT = "Demote from Assistant";
VUHDO_I18N_PROMOTE_MASTER_LOOTER = "Promote to Master Looter";
VUHDO_I18N_MT_NUMBER = "MT #";
VUHDO_I18N_ROLE_OVERRIDE = "Role override";
VUHDO_I18N_MELEE_TANK = "Melee - Tank";
VUHDO_I18N_MELEE_DPS = "Melee - DPS";
VUHDO_I18N_RANGED_DPS = "Ranged - DPS";
VUHDO_I18N_RANGED_HEALERS = "Ranged - Healer";
VUHDO_I18N_AUTO_DETECT = "<auto detect>";
VUHDO_I18N_PROMOTE_ASSIST_MSG_1 = "Promoted |cffffe566";
VUHDO_I18N_PROMOTE_ASSIST_MSG_2 = "|r to assistant.";
VUHDO_I18N_DEMOTE_ASSIST_MSG_1 = "Demoted |cffffe566";
VUHDO_I18N_DEMOTE_ASSIST_MSG_2 = "|r from assistant.";
VUHDO_I18N_RESET_ROLES = "Reset Roles";
VUHDO_I18N_LOAD_SKIN = "Load Skin";
VUHDO_I18N_LOAD_ARRANGEMENT = "Load Arrangement";
VUHDO_I18N_LOAD_KEY_SETUP = "Load Key Setup";
VUHDO_I18N_BUFF_ASSIGN_1 = "Buff |cffffe566";
VUHDO_I18N_BUFF_ASSIGN_2 = "|r has been assigned to |cffffe566";
VUHDO_I18N_BUFF_ASSIGN_3 = "|r";
VUHDO_I18N_RESS_ERR_1 = "Can't resurrect, ";
VUHDO_I18N_RESS_ERR_2 = " has realeased spirit.";
VUHDO_I18N_MACRO_KEY_ERR_1 = "ERROR: Keyboard mouse-over macro size exceeds limit for spell: ";
VUHDO_I18N_MACRO_KEY_ERR_2 = "/256 Characters). Try reducing auto fire options!!!";
VUHDO_I18N_MACRO_NUM_ERR = "Maximum number of macros per character exceeded! Can't create mouse over macro for: ";
VUHDO_I18N_SMARTBUFF_ERR_1 = "VuhDo: Unable to smart buff in combat!";
VUHDO_I18N_SMARTBUFF_ERR_2 = "VuhDo: No buff target available for ";
VUHDO_I18N_SMARTBUFF_ERR_3 = " players out of range for ";
VUHDO_I18N_SMARTBUFF_ERR_4 = "VuhDo: No buff to cast.";
VUHDO_I18N_SMARTBUFF_ERR_5 = "VuhDo: You are buffing too fast. Try again!";
VUHDO_I18N_SMARTBUFF_OKAY_1 = "VuhDo: Buffing |cffffffff";
VUHDO_I18N_SMARTBUFF_OKAY_2 = "|r on ";
VUHDO_I18N_SET_BUFF_TARGET_1 = "Setting buff target for ";
VUHDO_I18N_SET_BUFF_TARGET_2 = " to ";
VUHDO_I18N_NO_BUFFS_DEFINED = "There are no buffs defined for your class!";


-- #+1.187
VUHDO_I18N_KEY_BIND_SMART_CAST = "Keybind \"smartcast\"";

-- #+v1.189
VUHDO_I18N_UNKNOWN = "unknown";
VUHDO_I18N_SELF = "self";
VUHDO_I18N_MELEES = "Melees";
VUHDO_I18N_RANGED = "Ranged";

VUHDO_I18N_OPTIONS_NOT_LOADED = ">>> VuhDo Options plugin not loaded! <<<";
VUHDO_I18N_SPELL_LAYOUT_NOT_EXIST_1 = "Error: Spell layout \"";
VUHDO_I18N_SPELL_LAYOUT_NOT_EXIST_2 = "\" doesn't exist.";
VUHDO_I18N_AUTO_ARRANG_1 = "Number of Party members has changed to ";
VUHDO_I18N_AUTO_ARRANG_2 = ". Auto-engaging arrangement: \"";

-- #+1.209
VUHDO_I18N_TRACK_BUFFS_FOR = "Track buff for ...";
VUHDO_I18N_OWN_GROUP_LONG = "Own Group";
