VUHDO_HOT_MODELS = { };
VUHDO_HOT_BAR_MODELS = { };

--
local tCnt;
function VUHDO_initHotComboModels()
	table.wipe(VUHDO_HOT_MODELS);

	VUHDO_HOT_MODELS[1] = { nil, "-- " .. VUHDO_I18N_EMPTY_HOTS .. " --" };
	VUHDO_HOT_MODELS[2] = { "OTHER", "<- " .. VUHDO_I18N_OTHER_HOTS .. " ->" };
	VUHDO_HOT_MODELS[3] = { "CLUSTER", "<- " .. VUHDO_I18N_CLUSTER_FINDER .. " ->" };
	VUHDO_HOT_MODELS[4] = { "DISPELLABLE", "<- " .. "Dispellable Debuffs" .. " ->" };
	for tCnt = 1, VUHDO_MAX_HOTS do
		VUHDO_HOT_MODELS[tCnt + 4] = { VUHDO_PLAYER_HOTS[tCnt], VUHDO_PLAYER_HOTS[tCnt] };
	end

--	for tCnt = 1, #VUHDO_HOT_MODELS do
--		VUHDO_Msg(VUHDO_HOT_MODELS[tCnt][2]);
--	end
end



--
function VUHDO_initHotBarComboModels()
	table.wipe(VUHDO_HOT_BAR_MODELS);

	VUHDO_HOT_BAR_MODELS[1] = { nil, "-- " .. VUHDO_I18N_EMPTY_HOTS .. " --" };
	for tCnt = 1, VUHDO_MAX_HOTS do
		VUHDO_HOT_BAR_MODELS[tCnt + 1] = { VUHDO_PLAYER_HOTS[tCnt], VUHDO_PLAYER_HOTS[tCnt] };
	end
end



--
local tNum;
function VUHDO_squareDemoOnShow(aTexture)
	tNum = VUHDO_getNumbersFromString(aTexture:GetName(), 1);
	VUHDO_GLOBAL[aTexture:GetName() .. "Label"]:SetText("" .. tNum[1]);
end


--
local tMineBox, tOthersBox, tNumber;
function VUHDO_notifyHotSelect(aComboBox, aValue)
  tNumber = VUHDO_getNumbersFromString(aComboBox:GetName(), 1)[1];
	tMineBox = VUHDO_GLOBAL["VuhDoNewOptionsPanelHotsHotOrderPanelSlot" .. tNumber .. "Mine"];
	tOthersBox = VUHDO_GLOBAL["VuhDoNewOptionsPanelHotsHotOrderPanelSlot" .. tNumber .. "Others"];

	if (aValue == nil or aValue == "CLUSTER" or aValue == "OTHER" or aValue == "DISPELLABLE") then
		tMineBox:Hide();
		tOthersBox:Hide();
	else
		tMineBox:Show();
		tOthersBox:Show();
	end
end
