
TitanSettings = {
	["Version"] = "4.3.4.30300",
	["Players"] = {
		["X-PerlExplorer@TitanCustomProfile"] = {
			["Plugins"] = {
				["LDBT_Broker_LunarSphere"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Guild"] = {
					["ShowTooltipClass"] = 1,
					["FilterClasses"] = false,
					["DisableMouseOverUpdates"] = 1,
					["FilterMyZone"] = false,
					["SortByValue"] = false,
					["DisableRosterUpdates"] = false,
					["RosterUpdateTime"] = 300,
					["FilterMyLevel"] = false,
					["ShowTooltipZone"] = 1,
					["ShowTooltipNote"] = false,
					["ShowLabelText"] = 1,
					["ShowMenuOptions"] = 1,
					["ShowAdvancedMenus"] = 0,
					["ShowTooltipLevel"] = 1,
					["ShowTooltipRank"] = 1,
					["ShowIcon"] = 1,
					["ShowTooltipName"] = 1,
				},
				["Mount"] = {
					["ShowMenuOptions"] = 1,
					["ShowIcon"] = 1,
					["ShowTooltipText"] = 1,
					["ShowAdvancedMenus"] = 1,
					["ShowLabelText"] = 1,
				},
				["Ammo"] = {
					["ShowColoredText"] = 1,
					["ShowAmmoName"] = false,
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
				},
				["TitanSpec"] = {
					["ShowLabelText"] = 1,
					["CustomLabel"] = {
						false, -- [1]
						false, -- [2]
					},
					["HideSpam"] = 1,
					["ShowNumbers"] = 1,
					["ShowColours"] = 1,
					["BuildName"] = {
						"Protection", -- [1]
						false, -- [2]
					},
					["BuildPts"] = {
						"11/0/60", -- [1]
						false, -- [2]
					},
				},
				["LDBT_Prat"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Volume"] = {
					["VolumeInboundChat"] = 1,
					["VolumeMaster"] = 1,
					["VolumeSFX"] = 0.5,
					["VolumeAmbience"] = 0.5,
					["VolumeMusic"] = 0.5,
					["VolumeOutboundChat"] = 1,
					["OverrideBlizzSettings"] = false,
				},
				["LDBT_Bartender4"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Mount"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Money"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["ReagentTracker"] = {
					["ShowSpellIcons"] = false,
					["TrackReagent4"] = false,
					["TrackReagent1"] = true,
					["TrackReagent3"] = false,
					["TrackReagent2"] = false,
				},
				["Reputation"] = {
					["ShowHonored"] = 1,
					["ShowRevered"] = 1,
					["ShowFactionName"] = 1,
					["ShowExhalted"] = 1,
					["ShowStanding"] = 1,
					["TITAN_REPUTATION_WATCHED_FACTION"] = "none",
					["AutoChange"] = 1,
					["ShowValue"] = 1,
					["ShowFriendly"] = 1,
					["ShowIcon"] = 1,
					["ShowPercent"] = 1,
					["ShowNeutral"] = 1,
					["ShowUnfriendly"] = 1,
					["ShowHated"] = 1,
					["ShowHostile"] = 1,
				},
				["LDBT_Atlas"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Friends"] = {
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_MinimapButtonFrame"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Microbuttons"] = {
					["ShowIcon"] = 1,
				},
				["TitanRegen"] = {
					["ShowPercentage"] = false,
					["ShowColoredText"] = false,
					["ShowHPRegen"] = 1,
					["ShowMPRegen"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_X-Perl UnitFrames"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Bag"] = {
					["CountProfBagSlots"] = false,
					["ShowColoredText"] = 1,
					["CountShardBagSlots"] = false,
					["ShowUsedSlots"] = 1,
					["CountAmmoPouchSlots"] = false,
					["ShowIcon"] = 1,
					["ShowDetailedInfo"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_IceHUD"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_kgPanels"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LootType"] = {
					["RandomRoll"] = 100,
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
					["DungeonDiffType"] = "AUTO",
					["ShowDungeonDiff"] = false,
				},
				["Performance"] = {
					["ShowAddonMemory"] = false,
					["ShowMemory"] = 1,
					["AddonMemoryType"] = 1,
					["ShowLatency"] = 1,
					["ShowLabelText"] = false,
					["ShowIcon"] = 1,
					["ShowAddonIncRate"] = false,
					["ShowColoredText"] = 1,
					["NumOfAddons"] = 5,
					["ShowFPS"] = 1,
				},
				["XP"] = {
					["ShowSimpleNumOfKills"] = false,
					["ShowIcon"] = 1,
					["ShowSimpleRested"] = 1,
					["ShowSimpleToLevel"] = 1,
					["DisplayType"] = "ShowXPSimple",
					["ShowSimpleNumOfGains"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Ammo"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Currency"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_AtlasLoot"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Repair"] = {
					["ShowColoredText"] = false,
					["IgnoreThrown"] = false,
					["AutoRepair"] = false,
					["DiscountFriendly"] = false,
					["ShowIcon"] = 1,
					["ShowDurabilityFrame"] = 1,
					["ShowUndamaged"] = false,
					["ShowMostDmgPer"] = 1,
					["DiscountRevered"] = false,
					["ShowInventory"] = 1,
					["UseGuildBank"] = false,
					["ShowNames"] = true,
					["ShowLabelText"] = 1,
					["DiscountExalted"] = false,
					["ShowRepairCost"] = 1,
					["ShowPercentage"] = false,
					["AutoRepairReport"] = false,
					["DiscountHonored"] = false,
					["ShowPopup"] = false,
					["ShowMostDamaged"] = false,
				},
				["LDBT_ArkInventory_Bag"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Pet"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["Coords"] = {
					["ShowColoredText"] = 1,
					["ShowZoneText"] = 1,
					["ShowLabelText"] = 1,
					["ShowIcon"] = 1,
					["ShowLocOnMiniMap"] = 1,
					["ShowCoordsOnMap"] = 1,
					["CoordsFormat2"] = false,
					["CoordsFormat1"] = 1,
					["CoordsFormat3"] = false,
				},
				["Clock"] = {
					["OffsetHour"] = 0,
					["HideGameTimeMinimap"] = false,
					["DisplayOnRightSide"] = 1,
					["ShowColoredText"] = false,
					["Format"] = "12H",
					["TimeMode"] = "Server",
					["ShowLabelText"] = false,
				},
				["LDBT_QuestItemBar"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_Skada"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
			},
			["Panel"] = {
				["HideTipsInCombat"] = false,
				["FontSize"] = 10,
				["ButtonAlign"] = 2,
				["Scale"] = 1,
				["ScreenAdjust"] = false,
				["ButtonSpacing"] = 20,
				["MinimapAdjust"] = false,
				["BothBars"] = 1,
				["VersionShown"] = 1,
				["Location"] = {
					"Bar", -- [1]
					"Bar", -- [2]
					"Bar", -- [3]
					"Bar", -- [4]
					"Bar", -- [5]
					"Bar", -- [6]
					"Bar", -- [7]
					"Bar", -- [8]
					"Bar", -- [9]
					"Bar", -- [10]
					"Bar", -- [11]
					"Bar", -- [12]
					"Bar", -- [13]
					"Bar", -- [14]
					"Bar", -- [15]
					"Bar", -- [16]
					"AuxBar", -- [17]
					"AuxBar", -- [18]
					"AuxBar", -- [19]
					"AuxBar", -- [20]
					"AuxBar", -- [21]
				},
				["AutoHide"] = false,
				["TooltipTrans"] = 1,
				["AuxTransparency"] = 1,
				["TexturePath"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\X-Perl\\",
				["AuxScreenAdjust"] = false,
				["LockButtons"] = false,
				["AuxAutoHide"] = false,
				["BagAdjust"] = 1,
				["Buttons"] = {
					"Microbuttons", -- [1]
					"Clock", -- [2]
					"Bag", -- [3]
					"Repair", -- [4]
					"GoldTracker", -- [5]
					"ReagentTracker", -- [6]
					"LDBT_Broker_LunarSphere", -- [7]
					"LDBT_AtlasLoot", -- [8]
					"LDBT_Prat", -- [9]
					"LDBT_X-Perl UnitFrames", -- [10]
					"LDBT_Atlas", -- [11]
					"LDBT_IceHUD", -- [12]
					"LDBT_kgPanels", -- [13]
					"LDBT_Bartender4", -- [14]
					"LDBT_MinimapButtonFrame", -- [15]
					"LDBT_QuestItemBar", -- [16]
					"Coords", -- [17]
					"Guild", -- [18]
					"TitanSpec", -- [19]
					"Friends", -- [20]
					"XP", -- [21]
				},
				["FontName"] = "Friz Quadrata TT",
				["DoubleBar"] = 1,
				["FrameStrata"] = "DIALOG",
				["DisableTooltipFont"] = 1,
				["ToolTipsShown"] = 1,
				["Transparency"] = 1,
				["AuxButtonAlign"] = 2,
				["Position"] = 1,
				["TicketAdjust"] = 1,
				["TooltipFont"] = 1,
				["AuxDoubleBar"] = 1,
				["LogAdjust"] = false,
			},
		},
		["X-PerlRaider@TitanCustomProfile"] = {
			["Plugins"] = {
				["LDBT_Broker_LunarSphere"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Guild"] = {
					["ShowTooltipClass"] = 1,
					["FilterClasses"] = false,
					["DisableMouseOverUpdates"] = 1,
					["FilterMyZone"] = false,
					["SortByValue"] = false,
					["DisableRosterUpdates"] = false,
					["RosterUpdateTime"] = 300,
					["FilterMyLevel"] = false,
					["ShowTooltipZone"] = 1,
					["ShowTooltipNote"] = false,
					["ShowLabelText"] = 1,
					["ShowMenuOptions"] = 1,
					["ShowAdvancedMenus"] = 0,
					["ShowTooltipLevel"] = 1,
					["ShowTooltipRank"] = 1,
					["ShowIcon"] = 1,
					["ShowTooltipName"] = 1,
				},
				["Mount"] = {
					["ShowMenuOptions"] = 1,
					["ShowIcon"] = 1,
					["ShowTooltipText"] = 1,
					["ShowAdvancedMenus"] = 1,
					["ShowLabelText"] = 1,
				},
				["Ammo"] = {
					["ShowColoredText"] = 1,
					["ShowAmmoName"] = false,
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
				},
				["TitanSpec"] = {
					["ShowLabelText"] = 1,
					["CustomLabel"] = {
						false, -- [1]
						false, -- [2]
					},
					["HideSpam"] = 1,
					["ShowNumbers"] = 1,
					["ShowColours"] = 1,
					["BuildName"] = {
						"Protection", -- [1]
						false, -- [2]
					},
					["BuildPts"] = {
						"11/0/60", -- [1]
						false, -- [2]
					},
				},
				["LDBT_Prat"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Volume"] = {
					["VolumeInboundChat"] = 1,
					["VolumeMaster"] = 1,
					["VolumeSFX"] = 0.5,
					["VolumeAmbience"] = 0.5,
					["VolumeMusic"] = 0.5,
					["VolumeOutboundChat"] = 1,
					["OverrideBlizzSettings"] = false,
				},
				["LDBT_Bartender4"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Mount"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Money"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["ReagentTracker"] = {
					["ShowSpellIcons"] = false,
					["TrackReagent4"] = false,
					["TrackReagent1"] = true,
					["TrackReagent3"] = false,
					["TrackReagent2"] = false,
				},
				["Reputation"] = {
					["ShowHonored"] = 1,
					["ShowRevered"] = 1,
					["ShowFactionName"] = 1,
					["ShowExhalted"] = 1,
					["ShowStanding"] = 1,
					["TITAN_REPUTATION_WATCHED_FACTION"] = "none",
					["AutoChange"] = 1,
					["ShowValue"] = 1,
					["ShowFriendly"] = 1,
					["ShowIcon"] = 1,
					["ShowPercent"] = 1,
					["ShowNeutral"] = 1,
					["ShowUnfriendly"] = 1,
					["ShowHated"] = 1,
					["ShowHostile"] = 1,
				},
				["LDBT_Atlas"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Friends"] = {
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_MinimapButtonFrame"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Microbuttons"] = {
					["ShowIcon"] = 1,
				},
				["TitanRegen"] = {
					["ShowPercentage"] = false,
					["ShowColoredText"] = false,
					["ShowHPRegen"] = 1,
					["ShowMPRegen"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_X-Perl UnitFrames"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Bag"] = {
					["CountProfBagSlots"] = false,
					["ShowColoredText"] = 1,
					["CountShardBagSlots"] = false,
					["ShowUsedSlots"] = 1,
					["CountAmmoPouchSlots"] = false,
					["ShowIcon"] = 1,
					["ShowDetailedInfo"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_IceHUD"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_kgPanels"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LootType"] = {
					["RandomRoll"] = 100,
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
					["DungeonDiffType"] = "AUTO",
					["ShowDungeonDiff"] = false,
				},
				["Performance"] = {
					["ShowAddonMemory"] = false,
					["ShowMemory"] = 1,
					["AddonMemoryType"] = 1,
					["ShowLatency"] = 1,
					["ShowLabelText"] = false,
					["ShowIcon"] = 1,
					["ShowAddonIncRate"] = false,
					["ShowColoredText"] = 1,
					["NumOfAddons"] = 5,
					["ShowFPS"] = 1,
				},
				["XP"] = {
					["ShowSimpleNumOfKills"] = false,
					["ShowIcon"] = 1,
					["ShowSimpleRested"] = false,
					["ShowSimpleToLevel"] = false,
					["DisplayType"] = "ShowXPPerHourSession",
					["ShowSimpleNumOfGains"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Ammo"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Currency"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_AtlasLoot"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Repair"] = {
					["ShowColoredText"] = false,
					["IgnoreThrown"] = false,
					["AutoRepair"] = false,
					["DiscountFriendly"] = false,
					["ShowIcon"] = 1,
					["ShowDurabilityFrame"] = 1,
					["ShowUndamaged"] = false,
					["ShowMostDmgPer"] = 1,
					["DiscountRevered"] = false,
					["ShowInventory"] = 1,
					["UseGuildBank"] = false,
					["ShowNames"] = true,
					["ShowLabelText"] = 1,
					["DiscountExalted"] = false,
					["ShowRepairCost"] = 1,
					["ShowPercentage"] = false,
					["AutoRepairReport"] = false,
					["DiscountHonored"] = false,
					["ShowPopup"] = false,
					["ShowMostDamaged"] = false,
				},
				["LDBT_ArkInventory_Bag"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Pet"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["Coords"] = {
					["ShowColoredText"] = 1,
					["ShowZoneText"] = 1,
					["ShowLabelText"] = 1,
					["ShowIcon"] = 1,
					["ShowLocOnMiniMap"] = 1,
					["ShowCoordsOnMap"] = 1,
					["CoordsFormat2"] = false,
					["CoordsFormat1"] = 1,
					["CoordsFormat3"] = false,
				},
				["Clock"] = {
					["OffsetHour"] = 0,
					["HideGameTimeMinimap"] = false,
					["DisplayOnRightSide"] = 1,
					["ShowColoredText"] = false,
					["Format"] = "12H",
					["TimeMode"] = "Server",
					["ShowLabelText"] = false,
				},
				["LDBT_QuestItemBar"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_Skada"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
			},
			["Panel"] = {
				["HideTipsInCombat"] = false,
				["FontSize"] = 10,
				["ButtonAlign"] = 2,
				["Scale"] = 1,
				["ScreenAdjust"] = false,
				["ButtonSpacing"] = 20,
				["MinimapAdjust"] = false,
				["BothBars"] = 1,
				["VersionShown"] = 1,
				["Location"] = {
					"Bar", -- [1]
					"Bar", -- [2]
					"Bar", -- [3]
					"Bar", -- [4]
					"Bar", -- [5]
					"Bar", -- [6]
					"Bar", -- [7]
					"Bar", -- [8]
					"Bar", -- [9]
					"Bar", -- [10]
					"Bar", -- [11]
					"Bar", -- [12]
					"Bar", -- [13]
					"Bar", -- [14]
					"Bar", -- [15]
					"Bar", -- [16]
					"AuxBar", -- [17]
					"AuxBar", -- [18]
					"AuxBar", -- [19]
					"AuxBar", -- [20]
					"AuxBar", -- [21]
				},
				["AutoHide"] = false,
				["TooltipTrans"] = 1,
				["AuxTransparency"] = 1,
				["TexturePath"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\X-Perl\\",
				["AuxScreenAdjust"] = false,
				["LockButtons"] = false,
				["AuxAutoHide"] = false,
				["BagAdjust"] = 1,
				["Buttons"] = {
					"Microbuttons", -- [1]
					"Clock", -- [2]
					"Bag", -- [3]
					"Repair", -- [4]
					"GoldTracker", -- [5]
					"ReagentTracker", -- [6]
					"LDBT_Broker_LunarSphere", -- [7]
					"LDBT_AtlasLoot", -- [8]
					"LDBT_Prat", -- [9]
					"LDBT_X-Perl UnitFrames", -- [10]
					"LDBT_Atlas", -- [11]
					"LDBT_IceHUD", -- [12]
					"LDBT_kgPanels", -- [13]
					"LDBT_Bartender4", -- [14]
					"LDBT_MinimapButtonFrame", -- [15]
					"LDBT_QuestItemBar", -- [16]
					"Coords", -- [17]
					"Guild", -- [18]
					"TitanSpec", -- [19]
					"Friends", -- [20]
					"Reputation", -- [21]
				},
				["FontName"] = "Friz Quadrata TT",
				["DoubleBar"] = 1,
				["FrameStrata"] = "DIALOG",
				["DisableTooltipFont"] = 1,
				["ToolTipsShown"] = 1,
				["Transparency"] = 1,
				["AuxButtonAlign"] = 2,
				["Position"] = 1,
				["TicketAdjust"] = 1,
				["TooltipFont"] = 1,
				["AuxDoubleBar"] = 1,
				["LogAdjust"] = false,
			},
		},
		["Ercha@Stormrage"] = {
			["Plugins"] = {
				["LDBT_Broker_LunarSphere"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Guild"] = {
					["ShowTooltipClass"] = 1,
					["FilterClasses"] = false,
					["DisableMouseOverUpdates"] = 1,
					["FilterMyZone"] = false,
					["SortByValue"] = false,
					["DisableRosterUpdates"] = false,
					["RosterUpdateTime"] = 300,
					["FilterMyLevel"] = false,
					["ShowTooltipZone"] = 1,
					["ShowTooltipNote"] = false,
					["ShowLabelText"] = 1,
					["ShowMenuOptions"] = 1,
					["ShowAdvancedMenus"] = 0,
					["ShowTooltipLevel"] = 1,
					["ShowTooltipRank"] = 1,
					["ShowIcon"] = 1,
					["ShowTooltipName"] = 1,
				},
				["Mount"] = {
					["ShowMenuOptions"] = 1,
					["ShowIcon"] = 1,
					["ShowTooltipText"] = 1,
					["ShowAdvancedMenus"] = 1,
					["ShowLabelText"] = 1,
				},
				["Ammo"] = {
					["ShowColoredText"] = 1,
					["ShowAmmoName"] = false,
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
				},
				["TitanSpec"] = {
					["ShowLabelText"] = 1,
					["CustomLabel"] = {
						false, -- [1]
						false, -- [2]
					},
					["HideSpam"] = 1,
					["ShowNumbers"] = 1,
					["ShowColours"] = 1,
					["BuildName"] = {
						"Protection", -- [1]
						false, -- [2]
					},
					["BuildPts"] = {
						"11/0/60", -- [1]
						false, -- [2]
					},
				},
				["LDBT_Prat"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Volume"] = {
					["VolumeInboundChat"] = 1,
					["VolumeMaster"] = 1,
					["VolumeSFX"] = 0.5,
					["VolumeAmbience"] = 0.5,
					["VolumeMusic"] = 0.5,
					["VolumeOutboundChat"] = 1,
					["OverrideBlizzSettings"] = false,
				},
				["LDBT_Bartender4"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Mount"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Money"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["ReagentTracker"] = {
					["ShowSpellIcons"] = false,
					["TrackReagent4"] = false,
					["TrackReagent1"] = true,
					["TrackReagent3"] = false,
					["TrackReagent2"] = false,
				},
				["Reputation"] = {
					["ShowHonored"] = 1,
					["ShowRevered"] = 1,
					["ShowFactionName"] = 1,
					["ShowExhalted"] = 1,
					["ShowStanding"] = 1,
					["TITAN_REPUTATION_WATCHED_FACTION"] = "none",
					["AutoChange"] = 1,
					["ShowValue"] = 1,
					["ShowFriendly"] = 1,
					["ShowIcon"] = 1,
					["ShowPercent"] = 1,
					["ShowNeutral"] = 1,
					["ShowUnfriendly"] = 1,
					["ShowHated"] = 1,
					["ShowHostile"] = 1,
				},
				["LDBT_Atlas"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Friends"] = {
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_MinimapButtonFrame"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Microbuttons"] = {
					["ShowIcon"] = 1,
				},
				["TitanRegen"] = {
					["ShowPercentage"] = false,
					["ShowColoredText"] = false,
					["ShowHPRegen"] = 1,
					["ShowMPRegen"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_X-Perl UnitFrames"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Bag"] = {
					["CountProfBagSlots"] = false,
					["ShowColoredText"] = 1,
					["CountShardBagSlots"] = false,
					["ShowUsedSlots"] = 1,
					["CountAmmoPouchSlots"] = false,
					["ShowIcon"] = 1,
					["ShowDetailedInfo"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_IceHUD"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_kgPanels"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LootType"] = {
					["RandomRoll"] = 100,
					["ShowIcon"] = 1,
					["ShowLabelText"] = 1,
					["DungeonDiffType"] = "AUTO",
					["ShowDungeonDiff"] = false,
				},
				["Performance"] = {
					["ShowAddonMemory"] = false,
					["ShowMemory"] = 1,
					["AddonMemoryType"] = 1,
					["ShowLatency"] = 1,
					["ShowLabelText"] = false,
					["ShowIcon"] = 1,
					["ShowAddonIncRate"] = false,
					["ShowColoredText"] = 1,
					["NumOfAddons"] = 5,
					["ShowFPS"] = 1,
				},
				["XP"] = {
					["ShowSimpleNumOfKills"] = false,
					["ShowIcon"] = 1,
					["ShowSimpleRested"] = 1,
					["ShowSimpleToLevel"] = 1,
					["DisplayType"] = "ShowXPSimple",
					["ShowSimpleNumOfGains"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Ammo"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Currency"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_AtlasLoot"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["Repair"] = {
					["ShowColoredText"] = false,
					["IgnoreThrown"] = false,
					["AutoRepair"] = false,
					["DiscountFriendly"] = false,
					["ShowIcon"] = 1,
					["ShowDurabilityFrame"] = 1,
					["ShowUndamaged"] = false,
					["ShowMostDmgPer"] = 1,
					["DiscountRevered"] = false,
					["ShowInventory"] = 1,
					["UseGuildBank"] = false,
					["ShowNames"] = true,
					["ShowLabelText"] = 1,
					["DiscountExalted"] = false,
					["ShowRepairCost"] = 1,
					["ShowPercentage"] = false,
					["AutoRepairReport"] = false,
					["DiscountHonored"] = false,
					["ShowPopup"] = false,
					["ShowMostDamaged"] = false,
				},
				["LDBT_ArkInventory_Bag"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["LDBT_ArkInventory_Pet"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
				["Coords"] = {
					["ShowColoredText"] = 1,
					["ShowZoneText"] = 1,
					["ShowLabelText"] = 1,
					["ShowIcon"] = 1,
					["ShowLocOnMiniMap"] = 1,
					["ShowCoordsOnMap"] = 1,
					["CoordsFormat2"] = false,
					["CoordsFormat1"] = 1,
					["CoordsFormat3"] = false,
				},
				["Clock"] = {
					["OffsetHour"] = 0,
					["HideGameTimeMinimap"] = false,
					["DisplayOnRightSide"] = 1,
					["ShowColoredText"] = false,
					["Format"] = "12H",
					["TimeMode"] = "Server",
					["ShowLabelText"] = false,
				},
				["LDBT_QuestItemBar"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = 1,
					["ShowLabelText"] = 1,
				},
				["LDBT_Skada"] = {
					["ShowColoredText"] = false,
					["ShowIcon"] = 1,
					["ShowRegularText"] = 1,
					["DisplayOnRightSide"] = false,
					["ShowLabelText"] = 1,
				},
			},
			["Panel"] = {
				["HideTipsInCombat"] = false,
				["FontSize"] = 10,
				["ButtonAlign"] = 2,
				["Scale"] = 1,
				["ScreenAdjust"] = false,
				["ButtonSpacing"] = 20,
				["MinimapAdjust"] = false,
				["BothBars"] = 1,
				["VersionShown"] = 1,
				["Location"] = {
					"Bar", -- [1]
					"Bar", -- [2]
					"Bar", -- [3]
					"Bar", -- [4]
					"Bar", -- [5]
					"Bar", -- [6]
					"Bar", -- [7]
					"Bar", -- [8]
					"Bar", -- [9]
					"Bar", -- [10]
					"Bar", -- [11]
					"Bar", -- [12]
					"Bar", -- [13]
					"Bar", -- [14]
					"Bar", -- [15]
					"Bar", -- [16]
					"AuxBar", -- [17]
					"AuxBar", -- [18]
					"AuxBar", -- [19]
					"AuxBar", -- [20]
					"AuxBar", -- [21]
				},
				["AutoHide"] = false,
				["TooltipTrans"] = 1,
				["AuxTransparency"] = 1,
				["TexturePath"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\X-Perl\\",
				["AuxScreenAdjust"] = false,
				["LockButtons"] = false,
				["AuxAutoHide"] = false,
				["BagAdjust"] = 1,
				["Buttons"] = {
					"Microbuttons", -- [1]
					"Clock", -- [2]
					"Bag", -- [3]
					"Repair", -- [4]
					"GoldTracker", -- [5]
					"ReagentTracker", -- [6]
					"LDBT_Broker_LunarSphere", -- [7]
					"LDBT_AtlasLoot", -- [8]
					"LDBT_Prat", -- [9]
					"LDBT_X-Perl UnitFrames", -- [10]
					"LDBT_Atlas", -- [11]
					"LDBT_IceHUD", -- [12]
					"LDBT_kgPanels", -- [13]
					"LDBT_Bartender4", -- [14]
					"LDBT_MinimapButtonFrame", -- [15]
					"LDBT_QuestItemBar", -- [16]
					"Coords", -- [17]
					"Guild", -- [18]
					"TitanSpec", -- [19]
					"Friends", -- [20]
					"XP", -- [21]
				},
				["FontName"] = "Friz Quadrata TT",
				["DoubleBar"] = 1,
				["FrameStrata"] = "DIALOG",
				["DisableTooltipFont"] = 1,
				["ToolTipsShown"] = 1,
				["Transparency"] = 1,
				["AuxButtonAlign"] = 2,
				["Position"] = 1,
				["TicketAdjust"] = 1,
				["TooltipFont"] = 1,
				["AuxDoubleBar"] = 1,
				["LogAdjust"] = false,
			},
		},
	},
}
TitanSkins = {
	{
		["name"] = "Titan Default",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\",
	}, -- [1]
	{
		["name"] = "Christmas",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Christmas Skin\\",
	}, -- [2]
	{
		["name"] = "Charcoal Metal",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Charcoal Metal\\",
	}, -- [3]
	{
		["name"] = "Crusader",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Crusader Skin\\",
	}, -- [4]
	{
		["name"] = "Cursed Orange",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Cursed Orange Skin\\",
	}, -- [5]
	{
		["name"] = "Dark Wood",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Dark Wood Skin\\",
	}, -- [6]
	{
		["name"] = "Deep Cave",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Deep Cave Skin\\",
	}, -- [7]
	{
		["name"] = "Elfwood",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Elfwood Skin\\",
	}, -- [8]
	{
		["name"] = "Engineer",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Engineer Skin\\",
	}, -- [9]
	{
		["name"] = "Frozen Metal",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Frozen Metal Skin\\",
	}, -- [10]
	{
		["name"] = "Graphic",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Graphic Skin\\",
	}, -- [11]
	{
		["name"] = "Graveyard",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Graveyard Skin\\",
	}, -- [12]
	{
		["name"] = "Hidden Leaf",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Hidden Leaf Skin\\",
	}, -- [13]
	{
		["name"] = "Holy Warrior",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Holy Warrior Skin\\",
	}, -- [14]
	{
		["name"] = "Nightlife",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Nightlife Skin\\",
	}, -- [15]
	{
		["name"] = "Orgrimmar",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Orgrimmar Skin\\",
	}, -- [16]
	{
		["name"] = "Plate",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Plate Skin\\",
	}, -- [17]
	{
		["name"] = "Tribal",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\Tribal Skin\\",
	}, -- [18]
	{
		["name"] = "X-Perl",
		["path"] = "Interface\\AddOns\\Titan\\Artwork\\Custom\\X-Perl\\",
	}, -- [19]
}
ServerTimeOffsets = {
	["Stormrage"] = 0,
}
ServerHourFormat = {
	["Stormrage"] = "12H",
}
