
VUHDO_CONFIG = {
	["SMARTCAST_CLEANSE"] = true,
	["RANGE_SPELL"] = "Healing Touch",
	["BLIZZ_UI_HIDE_PARTY"] = 1,
	["CLUSTER"] = {
		["REFRESH"] = 20,
		["CHAIN_MAX_JUMP"] = 3,
		["DISPLAY_DESTINATION"] = 2,
		["IS_HOVER"] = false,
		["RANGE"] = 15,
		["MODE"] = 1,
		["ENABLE"] = 1,
		["IS_NUMBER"] = 1,
		["THRESH_GOOD"] = 5,
		["DISPLAY_SOURCE"] = 2,
		["BELOW_HEALTH_PERC"] = 85,
		["THRESH_FAIR"] = 3,
	},
	["OMIT_MAIN_ASSIST"] = 1,
	["MAX_EMERGENCIES"] = 5,
	["RES_ANNOUNCE_TEXT"] = "Come to life, vuhdo, you b00n!",
	["BAR_FRAMES"] = 1,
	["STANDARD_TOOLTIP"] = 1,
	["VERSION"] = 2,
	["RANGE_CHECK"] = true,
	["SHOW_INC_CHANNELLED"] = true,
	["DETECT_DEBUFFS_IGNORE_DURATION"] = true,
	["SHOW_INC_HOTS"] = true,
	["PLAYER_TARGET_FRAME_THICKNESS"] = 2,
	["CUSTOM_DEBUFF"] = {
		["SOUND"] = "Interface\\Quiet.mp3",
		["point"] = "TOPRIGHT",
		["isStacks"] = 1,
		["scale"] = 0.5,
		["yAdjust"] = -34,
		["isColor"] = false,
		["STORED"] = {
			"Acid-Drenched Mandibles", -- [1]
			"Boiling Blood", -- [2]
			"Burning Bile", -- [3]
			"Chilled to the Bone", -- [4]
			"Corrosion", -- [5]
			"Defile", -- [6]
			"Delirious Slash", -- [7]
			"Essence of the Blood Queen", -- [8]
			"Expose Weakness", -- [9]
			"Feral Pounce", -- [10]
			"Fire Bomb", -- [11]
			"Frost Beacon", -- [12]
			"Frost Blast", -- [13]
			"Frost Breath", -- [14]
			"Gas Spore", -- [15]
			"Gaseous Bloat", -- [16]
			"Gastric Bloat", -- [17]
			"Glittering Sparks", -- [18]
			"Gravity Bomb", -- [19]
			"Grievous Bite", -- [20]
			"Gut Spray", -- [21]
			"Harvest Soul", -- [22]
			"Ice Tomb", -- [23]
			"Impale", -- [24]
			"Impaled", -- [25]
			"Incinerate Flesh", -- [26]
			"Infest", -- [27]
			"Instability", -- [28]
			"Instant Heal", -- [29]
			"Iron Roots", -- [30]
			"Jagged Knife", -- [31]
			"Legion Flame", -- [32]
			"Mark of the Fallen Champion", -- [33]
			"Mistress' Kiss", -- [34]
			"Mutated Infection", -- [35]
			"Mutated Plague", -- [36]
			"Napalm Shell", -- [37]
			"Necrotic Plague", -- [38]
			"Necrotic Strike", -- [39]
			"Pact of the Darkfallen", -- [40]
			"Paralytic Toxin", -- [41]
			"Penetrating Cold", -- [42]
			"Rune of Blood", -- [43]
			"Sara's Blessing", -- [44]
			"Searing Light", -- [45]
			"Shadow Prison", -- [46]
			"Shroud of Sorrow", -- [47]
			"Slag Pot", -- [48]
			"Snobolled!", -- [49]
			"Spinning Pain Spike", -- [50]
			"Stone Grip", -- [51]
			"Swarming Shadows", -- [52]
			"Touch of Darkness", -- [53]
			"Touch of Light", -- [54]
			"Vile Gas", -- [55]
			"Volatile Ooze Adhesive", -- [56]
			"Weakened Soul", -- [57]
			"Web Wrap", -- [58]
		},
		["max_num"] = 3,
		["STORED_SETTINGS"] = {
			["Burning Bile"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Snobolled!"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Frost Beacon"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Mutated Plague"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Feral Pounce"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Touch of Light"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Impaled"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Acid-Drenched Mandibles"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Shroud of Sorrow"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Paralytic Toxin"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Grievous Bite"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Iron Roots"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Incinerate Flesh"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Searing Light"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Mistress' Kiss"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Mark of the Fallen Champion"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Pact of the Darkfallen"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Gut Spray"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Necrotic Plague"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Shadow Prison"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Ice Tomb"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Delirious Slash"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Weakened Soul"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Instant Heal"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Instability"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Swarming Shadows"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Stone Grip"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Touch of Darkness"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Penetrating Cold"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Rune of Blood"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Harvest Soul"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Gastric Bloat"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Web Wrap"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Sara's Blessing"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Vile Gas"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Gravity Bomb"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Legion Flame"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Spinning Pain Spike"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Impale"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Infest"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Mutated Infection"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Jagged Knife"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Boiling Blood"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Necrotic Strike"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Gaseous Bloat"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Chilled to the Bone"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Slag Pot"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Napalm Shell"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Defile"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Essence of the Blood Queen"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Volatile Ooze Adhesive"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Fire Bomb"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Corrosion"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Frost Blast"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Expose Weakness"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Gas Spore"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Glittering Sparks"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
			["Frost Breath"] = {
				["isStacks"] = false,
				["animate"] = true,
				["isIcon"] = true,
				["SOUND"] = "Interface\\Quiet.mp3",
				["timer"] = true,
				["isColor"] = false,
				["color"] = {
					["TG"] = 0.5,
					["R"] = 0.6,
					["TB"] = 0,
					["G"] = 0.3,
					["TR"] = 0.8,
					["TO"] = 1,
					["B"] = 0,
					["useBackground"] = true,
					["useText"] = true,
					["O"] = 1,
					["useOpacity"] = true,
				},
			},
		},
		["version"] = 13,
		["timer"] = true,
		["isIcon"] = true,
		["selected"] = "",
		["xAdjust"] = -2,
		["animate"] = true,
	},
	["GROUP_HIGHLIGHT_FACTOR"] = 0.1000000014901161,
	["OMIT_DFT_MTS"] = false,
	["LOCK_CLICKS_THROUGH"] = false,
	["ON_MOUSE_UP"] = false,
	["SHOW_INC_BOMBED"] = true,
	["CURRENT_SKIN"] = "",
	["INC_BOMBED_SECS"] = 3,
	["LOCK_PANELS"] = true,
	["DETECT_DEBUFFS_IGNORE_NO_HARM"] = true,
	["DETECT_DEBUFFS_IGNORE_BY_CLASS"] = true,
	["IS_GROUP_HIGHLIGHT"] = false,
	["RANGE_PESSIMISTIC"] = false,
	["SMARTCAST_RESURRECT"] = true,
	["HIDE_EMPTY_PANELS"] = false,
	["SOUND_DEBUFF"] = "Interface\\Quiet.mp3",
	["INC_HOTS_SECS"] = 3,
	["SMARTCAST_BUFF"] = false,
	["PLAYER_TARGET_FRAME"] = true,
	["OMIT_PLAYER_TARGETS"] = false,
	["SHOW_PLAYER_TAGS"] = true,
	["DETECT_DEBUFFS"] = true,
	["SHOW_PANELS"] = true,
	["SHOW_INC_CASTED"] = true,
	["AUTO_ARRANGEMENTS"] = {
		["lastAutoSaveSlot"] = 0,
		["dirty"] = true,
	},
	["HIDE_PANELS_SOLO"] = 1,
	["RES_IS_SHOW_TEXT"] = false,
	["EMERGENCY_TRIGGER"] = 100,
	["SHOW_INCOMING"] = true,
	["CURRENT_ARRANGEMENT"] = "",
	["OMIT_FOCUS"] = 1,
	["IS_UNIT_HIGHLIGHT"] = 1,
	["INC_CHANNELLED_SECS"] = 3,
	["OMIT_SELF"] = false,
	["DETECT_DEBUFFS_IGNORE_MOVEMENT"] = true,
	["UPDATE_HOTS_MS"] = 50,
	["OMIT_OWN_GROUP"] = false,
	["MODE"] = 1,
	["THREAT"] = {
		["THREAT_BAR_WIDTH"] = 4,
		["THREAT_SYMBOL_MIN_PERCENT"] = 100,
		["AGGRO_REFRESH_MS"] = 300,
		["AGGRO_TEXT_RIGHT"] = "<<",
		["THREAT_USE_BAR"] = false,
		["AGGRO_USE_LINE"] = 1,
		["AGGRO_TEXT_LEFT"] = ">>",
		["THREAT_USE_SYMBOL"] = 1,
		["THREAT_DETECT"] = 1,
		["AGGRO_DETECT"] = true,
	},
	["INC_CASTED_SECS"] = 3,
	["SHOW_MINIMAP"] = true,
	["SHOW_OWN_INCOMING"] = true,
	["RANGE_CHECK_DELAY"] = 20,
	["DETECT_DEBUFFS_REMOVABLE_ONLY"] = true,
}
VUHDO_PANEL_SETUP = {
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 926,
			["x"] = 906.2000000000001,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 41,
			["growth"] = "TOPLEFT",
			["width"] = 81,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["groups"] = {
				1, -- [1]
				2, -- [2]
				3, -- [3]
				4, -- [4]
				5, -- [5]
				40, -- [6]
				7, -- [7]
				8, -- [8]
			},
			["sort"] = 3,
			["isReverse"] = 1,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["isPlayerOnTop"] = 1,
			["headerWidth"] = 33,
			["targetWidth"] = 30,
			["scale"] = 1,
			["showTot"] = false,
			["barWidth"] = 75,
			["alignBottom"] = false,
			["swapDirection"] = false,
			["targetSpacing"] = 3,
			["vertical"] = false,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["borderGapY"] = 0,
			["borderGapX"] = 3,
			["headerSpacing"] = 5,
			["maxRowsWhenLoose"] = 11,
			["invertGrowth"] = false,
			["totSpacing"] = 3,
			["manaBarHeight"] = 3,
			["isDamFlash"] = true,
			["showManaBars"] = true,
			["totWidth"] = 30,
			["targetOrientation"] = 1,
			["showRageBars"] = false,
			["barHeight"] = 31,
			["columnSpacing"] = 2,
			["headerHeight"] = 20,
			["maxColumnsWhenStructured"] = 5,
			["rowSpacing"] = 0,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["_spacing"] = 9.999999847337625,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [1]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 694.4,
			["x"] = 870.2000000000001,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 83.8,
			["growth"] = "TOPLEFT",
			["width"] = 81,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["_spacing"] = 9.999999847337625,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [2]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 534.4,
			["x"] = 43.7,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 128.7,
			["growth"] = "TOPLEFT",
			["width"] = 85,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["_spacing"] = 18.00000167928612,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [3]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 697.3,
			["x"] = 46.1,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 128.7,
			["growth"] = "TOPLEFT",
			["width"] = 85,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["_spacing"] = 18.00000167928612,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [4]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 668,
			["x"] = 100,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 200,
			["growth"] = "TOPLEFT",
			["width"] = 200,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [5]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 668,
			["x"] = 100,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 200,
			["growth"] = "TOPLEFT",
			["width"] = 200,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [6]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 668,
			["x"] = 100,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 200,
			["growth"] = "TOPLEFT",
			["width"] = 200,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [7]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 668,
			["x"] = 100,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 200,
			["growth"] = "TOPLEFT",
			["width"] = 200,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [8]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 668,
			["x"] = 100,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 200,
			["growth"] = "TOPLEFT",
			["width"] = 200,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [9]
	{
		["OVERHEAL_TEXT"] = {
			["yAdjust"] = 0,
			["point"] = "LEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["POSITION"] = {
			["y"] = 668,
			["x"] = 100,
			["scale"] = 1,
			["relativePoint"] = "BOTTOMLEFT",
			["orientation"] = "TOPLEFT",
			["height"] = 200,
			["growth"] = "TOPLEFT",
			["width"] = 200,
		},
		["RAID_ICON"] = {
			["show"] = true,
			["yAdjust"] = -20,
			["point"] = "TOPLEFT",
			["scale"] = 1,
			["xAdjust"] = 0,
		},
		["MODEL"] = {
			["ordering"] = 1,
			["sort"] = 4,
		},
		["TOOLTIP"] = {
			["BACKGROUND"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["inFight"] = false,
			["BORDER"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 1,
				["G"] = 0,
				["B"] = 0,
			},
			["showBuffs"] = false,
			["show"] = true,
			["x"] = 100,
			["position"] = 2,
			["SCALE"] = 1,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["y"] = -100,
		},
		["PANEL_COLOR"] = {
			["BACK"] = {
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["O"] = 0.4,
				["G"] = 0,
				["B"] = 0,
			},
			["classColorsBackHeader"] = false,
			["BARS"] = {
				["useOpacity"] = true,
				["B"] = 0.7,
				["R"] = 0.7,
				["G"] = 0.7,
				["mode"] = 0,
				["O"] = 1,
				["useBackground"] = true,
			},
			["BORDER"] = {
				["edgeSize"] = 8,
				["B"] = 0,
				["G"] = 0,
				["useOpacity"] = true,
				["R"] = 0,
				["useBackground"] = true,
				["file"] = "Interface\\Tooltips\\UI-Tooltip-Border",
				["O"] = 0.46,
				["insets"] = 1,
			},
			["barTexture"] = "Aluminium",
			["isBrightnessToHealth"] = false,
			["barBackBrightness"] = 30,
			["classColorsBack"] = false,
			["HEADER"] = {
				["TG"] = 0.859,
				["R"] = 0.6,
				["TB"] = 0.38,
				["barTexture"] = "Aluminium",
				["G"] = 0.6,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useBackground"] = true,
				["textSize"] = 10,
				["useText"] = true,
				["O"] = 0.6,
				["B"] = 0.6,
			},
			["TEXT"] = {
				["outline"] = false,
				["TG"] = 0.82,
				["textSizeLife"] = 8,
				["R"] = 0,
				["TB"] = 0,
				["textSize"] = 10,
				["useText"] = true,
				["maxChars"] = 0,
				["TR"] = 1,
				["font"] = "Interface\\AddOns\\ArkInventory\\Fonts\\Emblem.ttf",
				["TO"] = 1,
				["useOpacity"] = true,
				["useBackground"] = true,
				["G"] = 0,
				["O"] = 0.75,
				["B"] = 0,
			},
			["TOT"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["TARGET"] = {
				["TR"] = 1,
				["TO"] = 1,
				["TB"] = 1,
				["useText"] = true,
				["TG"] = 1,
			},
			["classColorsHeader"] = false,
			["classColorsName"] = 1,
		},
		["LIFE_TEXT"] = {
			["hideIrrelevant"] = false,
			["position"] = 3,
			["mode"] = 1,
			["verbose"] = false,
		},
		["SCALING"] = {
			["headerHeight"] = 20,
			["isDamFlash"] = true,
			["targetWidth"] = 30,
			["scale"] = 1,
			["maxColumnsWhenStructured"] = 5,
			["alignBottom"] = false,
			["targetSpacing"] = 3,
			["swapDirection"] = false,
			["showRageBars"] = false,
			["columnSpacing"] = 2,
			["ommitEmptyWhenStructured"] = true,
			["showTarget"] = false,
			["damFlashFactor"] = 0.75,
			["invertGrowth"] = false,
			["headerWidth"] = 33,
			["headerSpacing"] = 5,
			["borderGapX"] = 3,
			["manaBarHeight"] = 3,
			["totSpacing"] = 3,
			["maxRowsWhenLoose"] = 5,
			["totWidth"] = 30,
			["showManaBars"] = true,
			["isPlayerOnTop"] = 1,
			["barHeight"] = 31,
			["targetOrientation"] = 1,
			["vertical"] = false,
			["borderGapY"] = 0,
			["showTot"] = false,
			["rowSpacing"] = 0,
			["barWidth"] = 75,
		},
		["ID_TEXT"] = {
			["showClass"] = false,
			["showName"] = true,
			["version"] = 2,
			["position"] = "BOTTOM+TOP",
			["showTags"] = true,
			["showPetOwners"] = true,
		},
		["HOTS"] = {
			["SLOTS"] = {
				"Regrowth", -- [1]
				"Lifebloom", -- [2]
				"Abolish Poison", -- [3]
				"Wild Growth", -- [4]
				"Rejuvenation", -- [5]
			},
			["BARS"] = {
				["show"] = false,
				["radioValue"] = 1,
				["invertOrientation"] = false,
				["invertDirection"] = false,
				["width"] = 25,
			},
			["SLOTCFG"] = {
				["1"] = {
					["mine"] = true,
					["others"] = false,
				},
				["3"] = {
					["mine"] = true,
					["others"] = false,
				},
				["2"] = {
					["mine"] = true,
					["others"] = false,
				},
				["5"] = {
					["mine"] = true,
					["others"] = false,
				},
				["4"] = {
					["mine"] = true,
					["others"] = false,
				},
				["7"] = {
					["mine"] = true,
					["others"] = false,
				},
				["6"] = {
					["mine"] = true,
					["others"] = false,
				},
				["9"] = {
					["mine"] = true,
					["others"] = false,
				},
				["8"] = {
					["mine"] = true,
					["others"] = false,
				},
			},
			["show"] = true,
			["radioValue"] = 12,
			["iconRadioValue"] = 1,
			["showSwiftmend"] = false,
			["stacksRadioValue"] = 2,
			["size"] = 39,
		},
	}, -- [10]
	["RAID_ICON_FILTER"] = {
		true, -- [1]
		true, -- [2]
		true, -- [3]
		true, -- [4]
		true, -- [5]
		true, -- [6]
		true, -- [7]
		true, -- [8]
	},
	["BAR_COLORS"] = {
		["OVERHEAL_TEXT"] = {
			["useOpacity"] = true,
			["TO"] = 1,
			["TB"] = 0.8,
			["TR"] = 0.8,
			["useText"] = true,
			["TG"] = 1,
		},
		["HOT7"] = {
			["useBackground"] = true,
			["R"] = 1,
			["O"] = 0.75,
			["G"] = 1,
			["B"] = 1,
		},
		["CLUSTER_FAIR"] = {
			["TG"] = 1,
			["R"] = 0.8,
			["TB"] = 0,
			["G"] = 0.8,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["HOT1"] = {
			["TG"] = 0.6,
			["countdownMode"] = 0,
			["R"] = 1,
			["TB"] = 0.6,
			["G"] = 0.3,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["isFullDuration"] = false,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.3,
		},
		["EMERGENCY"] = {
			["TG"] = 0.82,
			["R"] = 1,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["BAR_FRAMES"] = {
			["useOpacity"] = true,
			["R"] = 0,
			["useBackground"] = true,
			["O"] = 0.7,
			["G"] = 0,
			["B"] = 0,
		},
		["RAID_ICONS"] = {
			["1"] = {
				["TG"] = 1,
				["B"] = 0.305,
				["TB"] = 0.607,
				["G"] = 0.976,
				["TR"] = 0.98,
				["TO"] = 1,
				["R"] = 1,
				["useText"] = true,
				["O"] = 1,
				["useBackground"] = true,
			},
			["filterOnly"] = false,
			["3"] = {
				["TG"] = 0.674,
				["R"] = 0.788,
				["TB"] = 0.921,
				["G"] = 0.29,
				["TR"] = 1,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.8,
			},
			["2"] = {
				["TG"] = 0.827,
				["R"] = 1,
				["TB"] = 0.419,
				["G"] = 0.513,
				["TR"] = 1,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.039,
			},
			["enable"] = false,
			["4"] = {
				["TG"] = 1,
				["R"] = 0,
				["TB"] = 0.698,
				["G"] = 0.8,
				["TR"] = 0.698,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.015,
			},
			["7"] = {
				["TG"] = 0.627,
				["R"] = 0.8,
				["TB"] = 0.619,
				["G"] = 0.184,
				["TR"] = 1,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.129,
			},
			["6"] = {
				["TG"] = 0.831,
				["R"] = 0.121,
				["TB"] = 1,
				["G"] = 0.69,
				["TR"] = 0.662,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.972,
			},
			["8"] = {
				["TG"] = 0.231,
				["R"] = 0.847,
				["TB"] = 0.231,
				["G"] = 0.866,
				["TR"] = 0.231,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.89,
			},
			["5"] = {
				["TG"] = 0.87,
				["R"] = 0.466,
				["TB"] = 1,
				["G"] = 0.717,
				["TR"] = 0.725,
				["TO"] = 1,
				["useText"] = true,
				["useBackground"] = true,
				["O"] = 1,
				["B"] = 0.8,
			},
		},
		["IRRELEVANT"] = {
			["TG"] = 0.82,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = false,
			["useText"] = false,
			["O"] = 0.5,
			["B"] = 0.4,
		},
		["HOT9"] = {
			["TG"] = 1,
			["countdownMode"] = 0,
			["R"] = 0.3,
			["TB"] = 1,
			["G"] = 1,
			["TR"] = 0.6,
			["TO"] = 1,
			["useText"] = true,
			["isFullDuration"] = false,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 1,
		},
		["HOT_CHARGE_4"] = {
			["TG"] = 1,
			["R"] = 0.8,
			["TB"] = 1,
			["G"] = 0.8,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.8,
		},
		["HOT_CHARGE_3"] = {
			["TG"] = 1,
			["R"] = 0.3,
			["TB"] = 0.6,
			["G"] = 1,
			["TR"] = 0.6,
			["TO"] = 1,
			["useText"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.3,
		},
		["CLUSTER_GOOD"] = {
			["TG"] = 1,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0.8,
			["TR"] = 0,
			["TO"] = 1,
			["useText"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["CLUSTER_BORDER"] = {
			["useBackground"] = true,
			["R"] = 1,
			["O"] = 1,
			["G"] = 0.7,
			["B"] = 0,
		},
		["DEBUFF3"] = {
			["TG"] = 0.957,
			["R"] = 0.4,
			["TB"] = 1,
			["G"] = 0.4,
			["TR"] = 0.329,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.8,
		},
		["INCOMING"] = {
			["TG"] = 0.82,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = false,
			["useText"] = false,
			["O"] = 0.33,
			["B"] = 0,
		},
		["HOT6"] = {
			["useBackground"] = true,
			["R"] = 1,
			["O"] = 0.75,
			["G"] = 1,
			["B"] = 1,
		},
		["DEBUFF4"] = {
			["TG"] = 0,
			["R"] = 0.7,
			["TB"] = 1,
			["G"] = 0,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.7,
		},
		["DEBUFF6"] = {
			["TG"] = 0.5,
			["R"] = 0.6,
			["TB"] = 0,
			["G"] = 0.3,
			["TR"] = 0.8,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["HOT5"] = {
			["TG"] = 0.6,
			["countdownMode"] = 0,
			["R"] = 1,
			["TB"] = 1,
			["G"] = 0.3,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["isFullDuration"] = false,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 1,
		},
		["NO_EMERGENCY"] = {
			["TG"] = 0.82,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0.4,
		},
		["HOTS"] = {
			["useColorText"] = true,
			["WARNING"] = {
				["enabled"] = false,
				["lowSecs"] = 3,
				["R"] = 0.5,
				["TB"] = 0.6,
				["G"] = 0.2,
				["TR"] = 1,
				["TO"] = 1,
				["TG"] = 0.6,
				["useBackground"] = true,
				["useText"] = true,
				["O"] = 1,
				["B"] = 0.2,
			},
			["TEXT"] = {
				["outline"] = true,
				["shadow"] = 1,
			},
			["factorDivineAegis"] = 1.2,
			["showShieldAbsorb"] = false,
			["useSquare"] = true,
		},
		["GCD_BAR"] = {
			["useBackground"] = true,
			["R"] = 0.4,
			["O"] = 0.5,
			["G"] = 0.4,
			["B"] = 0.4,
		},
		["HOT2"] = {
			["TG"] = 1,
			["countdownMode"] = 0,
			["R"] = 1,
			["TB"] = 0.6,
			["G"] = 1,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["isFullDuration"] = false,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.3,
		},
		["DEAD"] = {
			["TG"] = 0.5,
			["R"] = 0.3,
			["TB"] = 0.5,
			["G"] = 0.3,
			["TR"] = 0.5,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 0.5,
			["B"] = 0.3,
		},
		["OFFLINE"] = {
			["TG"] = 0.576,
			["R"] = 0.298,
			["TB"] = 0.576,
			["G"] = 0.298,
			["TR"] = 0.576,
			["TO"] = 0.58,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 0.21,
			["B"] = 0.298,
		},
		["OUTRANGED"] = {
			["TG"] = 0,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 0,
			["TO"] = 0.5,
			["useOpacity"] = true,
			["useBackground"] = false,
			["useText"] = false,
			["O"] = 0.25,
			["B"] = 0,
		},
		["CHARMED"] = {
			["TG"] = 0.31,
			["R"] = 0.51,
			["TB"] = 0.31,
			["G"] = 0.082,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0.263,
		},
		["useDebuffIcon"] = false,
		["DEBUFF0"] = {
			["useBackground"] = false,
			["useText"] = false,
			["useOpacity"] = false,
		},
		["DEBUFF2"] = {
			["TG"] = 0,
			["R"] = 0.8,
			["TB"] = 0,
			["G"] = 0.4,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.4,
		},
		["DEBUFF1"] = {
			["TG"] = 1,
			["R"] = 0,
			["TB"] = 0.6860000000000001,
			["G"] = 0.8,
			["TR"] = 0,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.3450980392156863,
		},
		["PLAYER_TARGET"] = {
			["useBackground"] = true,
			["R"] = 0.7,
			["O"] = 1,
			["G"] = 0.7,
			["B"] = 0.7,
		},
		["HOT8"] = {
			["useBackground"] = true,
			["R"] = 1,
			["O"] = 0.75,
			["G"] = 1,
			["B"] = 1,
		},
		["THREAT"] = {
			["LOW"] = {
				["useBackground"] = true,
				["R"] = 0,
				["O"] = 1,
				["G"] = 1,
				["B"] = 1,
			},
			["HIGH"] = {
				["useBackground"] = true,
				["R"] = 1,
				["O"] = 1,
				["G"] = 0,
				["B"] = 1,
			},
		},
		["HOT4"] = {
			["TG"] = 0.6,
			["countdownMode"] = 0,
			["R"] = 0.3,
			["TB"] = 1,
			["G"] = 0.3,
			["TR"] = 0.6,
			["TO"] = 1,
			["useText"] = true,
			["isFullDuration"] = false,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 1,
		},
		["HOT3"] = {
			["TG"] = 1,
			["countdownMode"] = 0,
			["R"] = 1,
			["TB"] = 1,
			["G"] = 1,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["isFullDuration"] = false,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 1,
		},
		["AGGRO"] = {
			["useBackground"] = true,
			["useOpacity"] = true,
			["R"] = 1,
			["useText"] = false,
			["O"] = 1,
			["G"] = 0,
			["B"] = 0,
		},
		["LIFE_LEFT"] = {
			["GOOD"] = {
				["useBackground"] = true,
				["R"] = 0.4,
				["B"] = 0.4,
				["O"] = 1,
				["G"] = 0.4274509803921568,
			},
			["LOW"] = {
				["useBackground"] = true,
				["R"] = 0.4,
				["O"] = 1,
				["G"] = 0.4274509803921568,
				["B"] = 0.4,
			},
			["FAIR"] = {
				["useBackground"] = true,
				["R"] = 0.4,
				["B"] = 0.4,
				["O"] = 1,
				["G"] = 0.4274509803921568,
			},
		},
		["HOT_CHARGE_2"] = {
			["TG"] = 1,
			["R"] = 1,
			["TB"] = 0.6,
			["G"] = 1,
			["TR"] = 1,
			["TO"] = 1,
			["useText"] = true,
			["useBackground"] = true,
			["O"] = 1,
			["B"] = 0.3019607843137255,
		},
	},
	["VERSION"] = 4,
}
VUHDO_SPELL_ASSIGNMENTS = {
	["altshift14"] = {
		"alt-shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["shift3"] = {
		"shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["altctrlshift15"] = {
		"alt-ctrl-shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altshift13"] = {
		"alt-shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["alt12"] = {
		"alt-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altctrl13"] = {
		"alt-ctrl-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["alt13"] = {
		"alt-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["ctrl12"] = {
		"ctrl-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["alt6"] = {
		"alt-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["altctrlshift12"] = {
		"alt-ctrl-shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["alt2"] = {
		"alt-", -- [1]
		"2", -- [2]
		"focus", -- [3]
	},
	["shift14"] = {
		"shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altctrlshift16"] = {
		"alt-ctrl-shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altctrl5"] = {
		"alt-ctrl-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["altshift16"] = {
		"alt-shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altctrlshift6"] = {
		"alt-ctrl-shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["ctrl3"] = {
		"ctrl-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["ctrlshift4"] = {
		"ctrl-shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["shift16"] = {
		"shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altctrl16"] = {
		"alt-ctrl-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altctrl1"] = {
		"alt-ctrl-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["altshift5"] = {
		"alt-shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["ctrlshift15"] = {
		"ctrl-shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altshift6"] = {
		"alt-shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["shift4"] = {
		"shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["altctrlshift9"] = {
		"alt-ctrl-shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["shift15"] = {
		"shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["ctrl11"] = {
		"ctrl-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["13"] = {
		"", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["ctrlshift10"] = {
		"ctrl-shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["ctrlshift14"] = {
		"ctrl-shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["alt15"] = {
		"alt-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["shift7"] = {
		"shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["altctrlshift5"] = {
		"alt-ctrl-shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["ctrlshift9"] = {
		"ctrl-shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["altctrl3"] = {
		"alt-ctrl-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["altctrlshift8"] = {
		"alt-ctrl-shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altshift15"] = {
		"alt-shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altshift1"] = {
		"alt-shift-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["altctrlshift2"] = {
		"alt-ctrl-shift-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["ctrlshift6"] = {
		"ctrl-shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["altctrl14"] = {
		"alt-ctrl-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["ctrl15"] = {
		"ctrl-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["ctrl16"] = {
		"ctrl-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["shift8"] = {
		"shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["shift1"] = {
		"shift-", -- [1]
		"1", -- [2]
		"Abolish Poison", -- [3]
	},
	["altctrlshift11"] = {
		"alt-ctrl-shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["shift6"] = {
		"shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["ctrlshift16"] = {
		"ctrl-shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["ctrlshift5"] = {
		"ctrl-shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["3"] = {
		"", -- [1]
		"3", -- [2]
		"Abolish Poison", -- [3]
	},
	["alt8"] = {
		"alt-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altshift12"] = {
		"alt-shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altshift4"] = {
		"alt-shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["shift2"] = {
		"shift-", -- [1]
		"2", -- [2]
		"Remove Curse", -- [3]
	},
	["alt5"] = {
		"alt-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["altctrl11"] = {
		"alt-ctrl-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["alt3"] = {
		"alt-", -- [1]
		"3", -- [2]
		"menu", -- [3]
	},
	["16"] = {
		"", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["shift9"] = {
		"shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["altctrlshift7"] = {
		"alt-ctrl-shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["ctrlshift13"] = {
		"ctrl-shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["shift10"] = {
		"shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["ctrl6"] = {
		"ctrl-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["ctrlshift12"] = {
		"ctrl-shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["ctrl7"] = {
		"ctrl-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["ctrlshift3"] = {
		"ctrl-shift-", -- [1]
		"3", -- [2]
		"menu", -- [3]
	},
	["alt11"] = {
		"alt-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["shift11"] = {
		"shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["1"] = {
		"", -- [1]
		"1", -- [2]
		"target", -- [3]
	},
	["altshift9"] = {
		"alt-shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["5"] = {
		"", -- [1]
		"5", -- [2]
		"Innervate", -- [3]
	},
	["ctrl1"] = {
		"ctrl-", -- [1]
		"1", -- [2]
		"Regrowth", -- [3]
	},
	["ctrlshift8"] = {
		"ctrl-shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrl7"] = {
		"alt-ctrl-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["altctrl10"] = {
		"alt-ctrl-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["altctrlshift4"] = {
		"alt-ctrl-shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["alt14"] = {
		"alt-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["alt4"] = {
		"alt-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["alt9"] = {
		"alt-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["alt1"] = {
		"alt-", -- [1]
		"1", -- [2]
		"target", -- [3]
	},
	["8"] = {
		"", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrlshift3"] = {
		"alt-ctrl-shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["2"] = {
		"", -- [1]
		"2", -- [2]
		"Remove Curse", -- [3]
	},
	["ctrlshift7"] = {
		"ctrl-shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["4"] = {
		"", -- [1]
		"4", -- [2]
		"Innervate", -- [3]
	},
	["7"] = {
		"", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["6"] = {
		"", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["9"] = {
		"", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["15"] = {
		"", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altctrlshift10"] = {
		"alt-ctrl-shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["altshift11"] = {
		"alt-shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["altctrlshift1"] = {
		"alt-ctrl-shift-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["shift13"] = {
		"shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["11"] = {
		"", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["altctrl12"] = {
		"alt-ctrl-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["ctrlshift2"] = {
		"ctrl-shift-", -- [1]
		"2", -- [2]
		"menu", -- [3]
	},
	["altctrl2"] = {
		"alt-ctrl-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["altctrlshift13"] = {
		"alt-ctrl-shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["ctrl14"] = {
		"ctrl-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altctrl8"] = {
		"alt-ctrl-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["alt10"] = {
		"alt-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["ctrl5"] = {
		"ctrl-", -- [1]
		"5", -- [2]
		"Tranquility", -- [3]
	},
	["12"] = {
		"", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["alt16"] = {
		"alt-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["shift12"] = {
		"shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altshift2"] = {
		"alt-shift-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["altctrl6"] = {
		"alt-ctrl-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["ctrlshift11"] = {
		"ctrl-shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["ctrlshift1"] = {
		"ctrl-shift-", -- [1]
		"1", -- [2]
		"menu", -- [3]
	},
	["ctrl9"] = {
		"ctrl-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["altshift10"] = {
		"alt-shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["alt7"] = {
		"alt-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["ctrl10"] = {
		"ctrl-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["altshift3"] = {
		"alt-shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["altctrl4"] = {
		"alt-ctrl-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["altctrlshift14"] = {
		"alt-ctrl-shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altshift8"] = {
		"alt-shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrl9"] = {
		"alt-ctrl-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["shift5"] = {
		"shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["14"] = {
		"", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altshift7"] = {
		"alt-shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["ctrl8"] = {
		"ctrl-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrl15"] = {
		"alt-ctrl-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["ctrl2"] = {
		"ctrl-", -- [1]
		"2", -- [2]
		"Lifebloom", -- [3]
	},
	["ctrl4"] = {
		"ctrl-", -- [1]
		"4", -- [2]
		"Tranquility", -- [3]
	},
	["ctrl13"] = {
		"ctrl-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["10"] = {
		"", -- [1]
		"10", -- [2]
		"", -- [3]
	},
}
VUHDO_HOSTILE_SPELL_ASSIGNMENTS = {
	["altshift14"] = {
		"alt-shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altctrlshift15"] = {
		"alt-ctrl-shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["shift3"] = {
		"shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["ctrl12"] = {
		"ctrl-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altctrl16"] = {
		"alt-ctrl-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altctrl13"] = {
		"alt-ctrl-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["alt13"] = {
		"alt-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["altshift13"] = {
		"alt-shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["alt6"] = {
		"alt-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["altctrlshift12"] = {
		"alt-ctrl-shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altctrl15"] = {
		"alt-ctrl-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["shift14"] = {
		"shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altctrl5"] = {
		"alt-ctrl-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["altshift6"] = {
		"alt-shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["altshift11"] = {
		"alt-shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["altctrlshift6"] = {
		"alt-ctrl-shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["altshift8"] = {
		"alt-shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrlshift14"] = {
		"alt-ctrl-shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["shift16"] = {
		"shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altctrlshift16"] = {
		"alt-ctrl-shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["ctrlshift6"] = {
		"ctrl-shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["altshift5"] = {
		"alt-shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["ctrlshift15"] = {
		"ctrl-shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altshift16"] = {
		"alt-shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["altshift10"] = {
		"alt-shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["ctrl9"] = {
		"ctrl-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["shift15"] = {
		"shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["ctrl11"] = {
		"ctrl-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["13"] = {
		"", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["ctrlshift10"] = {
		"ctrl-shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["ctrlshift14"] = {
		"ctrl-shift-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["alt15"] = {
		"alt-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["shift7"] = {
		"shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["altctrlshift5"] = {
		"alt-ctrl-shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["ctrlshift9"] = {
		"ctrl-shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["altctrl3"] = {
		"alt-ctrl-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["altctrlshift8"] = {
		"alt-ctrl-shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altshift15"] = {
		"alt-shift-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altshift1"] = {
		"alt-shift-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["altctrlshift2"] = {
		"alt-ctrl-shift-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["altctrl1"] = {
		"alt-ctrl-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["altshift2"] = {
		"alt-shift-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["ctrl15"] = {
		"ctrl-", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["ctrl16"] = {
		"ctrl-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["shift8"] = {
		"shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["shift1"] = {
		"shift-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["altctrlshift11"] = {
		"alt-ctrl-shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["shift6"] = {
		"shift-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["16"] = {
		"", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["ctrlshift13"] = {
		"ctrl-shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["alt11"] = {
		"alt-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["ctrl4"] = {
		"ctrl-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["altshift12"] = {
		"alt-shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altshift4"] = {
		"alt-shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["alt10"] = {
		"alt-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["alt5"] = {
		"alt-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["altctrl11"] = {
		"alt-ctrl-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["alt3"] = {
		"alt-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["ctrlshift16"] = {
		"ctrl-shift-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["shift9"] = {
		"shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["altctrlshift7"] = {
		"alt-ctrl-shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["12"] = {
		"", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["shift10"] = {
		"shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["ctrl5"] = {
		"ctrl-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["ctrlshift12"] = {
		"ctrl-shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["ctrl7"] = {
		"ctrl-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["alt4"] = {
		"alt-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["ctrlshift5"] = {
		"ctrl-shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["shift11"] = {
		"shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["1"] = {
		"", -- [1]
		"1", -- [2]
		"target", -- [3]
	},
	["altctrlshift3"] = {
		"alt-ctrl-shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["ctrlshift2"] = {
		"ctrl-shift-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["ctrl1"] = {
		"ctrl-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["ctrlshift8"] = {
		"ctrl-shift-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrl7"] = {
		"alt-ctrl-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["altctrl10"] = {
		"alt-ctrl-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["altctrlshift4"] = {
		"alt-ctrl-shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["alt14"] = {
		"alt-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["ctrlshift3"] = {
		"ctrl-shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["7"] = {
		"", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["alt1"] = {
		"alt-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["8"] = {
		"", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["3"] = {
		"", -- [1]
		"3", -- [2]
		"focus", -- [3]
	},
	["2"] = {
		"", -- [1]
		"2", -- [2]
		"assist", -- [3]
	},
	["5"] = {
		"", -- [1]
		"5", -- [2]
		"menu", -- [3]
	},
	["4"] = {
		"", -- [1]
		"4", -- [2]
		"menu", -- [3]
	},
	["alt9"] = {
		"alt-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["6"] = {
		"", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["9"] = {
		"", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["15"] = {
		"", -- [1]
		"15", -- [2]
		"", -- [3]
	},
	["altctrlshift10"] = {
		"alt-ctrl-shift-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["alt8"] = {
		"alt-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["altctrlshift1"] = {
		"alt-ctrl-shift-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["shift13"] = {
		"shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["11"] = {
		"", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["altctrl12"] = {
		"alt-ctrl-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["ctrlshift7"] = {
		"ctrl-shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["altctrl2"] = {
		"alt-ctrl-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["altctrlshift13"] = {
		"alt-ctrl-shift-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["ctrl14"] = {
		"ctrl-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altctrl8"] = {
		"alt-ctrl-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["shift2"] = {
		"shift-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["altshift9"] = {
		"alt-shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["ctrl6"] = {
		"ctrl-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["alt16"] = {
		"alt-", -- [1]
		"16", -- [2]
		"", -- [3]
	},
	["shift12"] = {
		"shift-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["altctrl14"] = {
		"alt-ctrl-", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altctrl6"] = {
		"alt-ctrl-", -- [1]
		"6", -- [2]
		"", -- [3]
	},
	["ctrlshift11"] = {
		"ctrl-shift-", -- [1]
		"11", -- [2]
		"", -- [3]
	},
	["ctrlshift1"] = {
		"ctrl-shift-", -- [1]
		"1", -- [2]
		"", -- [3]
	},
	["altctrlshift9"] = {
		"alt-ctrl-shift-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["shift4"] = {
		"shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["alt7"] = {
		"alt-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["ctrl10"] = {
		"ctrl-", -- [1]
		"10", -- [2]
		"", -- [3]
	},
	["altshift3"] = {
		"alt-shift-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["altctrl4"] = {
		"alt-ctrl-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["ctrlshift4"] = {
		"ctrl-shift-", -- [1]
		"4", -- [2]
		"", -- [3]
	},
	["ctrl3"] = {
		"ctrl-", -- [1]
		"3", -- [2]
		"", -- [3]
	},
	["altctrl9"] = {
		"alt-ctrl-", -- [1]
		"9", -- [2]
		"", -- [3]
	},
	["shift5"] = {
		"shift-", -- [1]
		"5", -- [2]
		"", -- [3]
	},
	["14"] = {
		"", -- [1]
		"14", -- [2]
		"", -- [3]
	},
	["altshift7"] = {
		"alt-shift-", -- [1]
		"7", -- [2]
		"", -- [3]
	},
	["ctrl8"] = {
		"ctrl-", -- [1]
		"8", -- [2]
		"", -- [3]
	},
	["alt2"] = {
		"alt-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["ctrl2"] = {
		"ctrl-", -- [1]
		"2", -- [2]
		"", -- [3]
	},
	["alt12"] = {
		"alt-", -- [1]
		"12", -- [2]
		"", -- [3]
	},
	["ctrl13"] = {
		"ctrl-", -- [1]
		"13", -- [2]
		"", -- [3]
	},
	["10"] = {
		"", -- [1]
		"10", -- [2]
		"", -- [3]
	},
}
VUHDO_MM_SETTINGS = {
	["enabled"] = 1,
	["drag"] = "CIRCLE",
	["position"] = 0,
}
VUHDO_PLAYER_TARGETS = {
}
VUHDO_MAINTANK_NAMES = {
}
VUHDO_BUFF_SETTINGS = {
	["Gift of the Wild"] = {
		["missingColor"] = {
			["TG"] = 1,
			["R"] = 1,
			["TB"] = 1,
			["G"] = 1,
			["useOpacity"] = true,
			["TO"] = 1,
			["B"] = 1,
			["useText"] = true,
			["TR"] = 1,
			["O"] = 1,
			["useBackground"] = true,
		},
		["enabled"] = 1,
		["filter"] = {
			[999] = true,
		},
	},
	["Shout"] = {
		["missingColor"] = {
			["TG"] = 1,
			["R"] = 1,
			["TB"] = 1,
			["G"] = 1,
			["show"] = false,
			["B"] = 1,
			["TO"] = 1,
			["useBackground"] = true,
			["TR"] = 1,
			["useText"] = true,
			["O"] = 1,
			["useOpacity"] = true,
		},
		["filter"] = {
			[999] = true,
		},
		["buff"] = "Battle Shout",
	},
	["VERSION"] = 2,
	["Vigilance"] = {
		["missingColor"] = {
			["TG"] = 1,
			["R"] = 1,
			["TB"] = 1,
			["G"] = 1,
			["show"] = false,
			["B"] = 1,
			["TO"] = 1,
			["useBackground"] = true,
			["TR"] = 1,
			["useText"] = true,
			["O"] = 1,
			["useOpacity"] = true,
		},
		["name"] = "Ercha",
		["filter"] = {
			[999] = true,
		},
	},
	["CONFIG"] = {
		["SWATCH_EMPTY_GROUP"] = {
			["TG"] = 0.8,
			["R"] = 0,
			["TB"] = 0.8,
			["G"] = 0,
			["TR"] = 0.8,
			["TO"] = 0.6,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 0.5,
			["B"] = 0,
		},
		["SWATCH_COLOR_BUFF_OUT"] = {
			["TG"] = 0,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 0.8,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["SHOW_LABEL"] = false,
		["REFRESH_SECS"] = 1,
		["SWATCH_COLOR_BUFF_COOLDOWN"] = {
			["TG"] = 0.6,
			["R"] = 0.3,
			["TB"] = 0.6,
			["G"] = 0.3,
			["TR"] = 0.6,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0.3,
		},
		["SWATCH_COLOR_BUFF_OKAY"] = {
			["TG"] = 0.8,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 0,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["PANEL_MAX_BUFFS"] = 5,
		["PANEL_BG_COLOR"] = {
			["useBackground"] = true,
			["useOpacity"] = false,
			["R"] = 0,
			["useText"] = false,
			["O"] = 0.5,
			["G"] = 0,
			["B"] = 0,
		},
		["SWATCH_COLOR_BUFF_LOW"] = {
			["TG"] = 0.7,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 1,
			["TO"] = 1,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 1,
			["B"] = 0,
		},
		["SCALE"] = 1,
		["BAR_COLORS_TEXT"] = true,
		["SWATCH_COLOR_OUT_RANGE"] = {
			["TG"] = 0,
			["R"] = 0,
			["TB"] = 0,
			["G"] = 0,
			["TR"] = 0,
			["TO"] = 0.5,
			["useOpacity"] = true,
			["useBackground"] = true,
			["useText"] = true,
			["O"] = 0.5,
			["B"] = 0,
		},
		["GROUP_SPELL_VERSION"] = "smart",
		["HIDE_CHARGES"] = false,
		["BAR_COLORS_FLAG"] = 1,
		["HIGHLIGHT_COOLDOWN"] = true,
		["SWATCH_MAX_ROWS"] = 2,
		["BAR_COLORS_BACKGROUND"] = true,
		["PANEL_BORDER_COLOR"] = {
			["useBackground"] = true,
			["useOpacity"] = false,
			["R"] = 0,
			["useText"] = false,
			["O"] = 0.5,
			["G"] = 0,
			["B"] = 0,
		},
		["WHEEL_SMART_BUFF"] = false,
		["AT_LEAST_MISSING"] = 5,
		["SWATCH_BG_COLOR"] = {
			["useBackground"] = true,
			["useOpacity"] = false,
			["R"] = 0,
			["useText"] = false,
			["O"] = 1,
			["G"] = 0,
			["B"] = 0,
		},
		["REBUFF_MIN_MINUTES"] = 3,
		["POSITION"] = {
			["y"] = -176.2,
			["x"] = -250.9,
			["point"] = "TOP",
			["relativePoint"] = "TOP",
		},
		["SWATCH_BORDER_COLOR"] = {
			["useBackground"] = true,
			["useOpacity"] = false,
			["R"] = 0.8,
			["useText"] = false,
			["O"] = 0,
			["G"] = 0.8,
			["B"] = 0.8,
		},
		["REBUFF_AT_PERCENT"] = 25,
		["BAR_COLORS_IN_FIGHT"] = 1,
		["SHOW_EMPTY"] = false,
	},
	["Thorns"] = {
		["missingColor"] = {
			["TG"] = 1,
			["R"] = 1,
			["TB"] = 1,
			["G"] = 1,
			["useOpacity"] = true,
			["TO"] = 1,
			["B"] = 1,
			["useText"] = true,
			["TR"] = 1,
			["O"] = 1,
			["useBackground"] = true,
		},
		["enabled"] = 1,
		["filter"] = {
			[60] = true,
		},
	},
}
VUHDO_POWER_TYPE_COLORS = {
	{
		["useBackground"] = true,
		["R"] = 1,
		["B"] = 0,
		["G"] = 0,
		["O"] = 1,
		["useOpacity"] = true,
	}, -- [1]
	{
		["useBackground"] = true,
		["R"] = 1,
		["B"] = 0.25,
		["G"] = 0.5,
		["O"] = 1,
		["useOpacity"] = true,
	}, -- [2]
	{
		["useBackground"] = true,
		["R"] = 1,
		["B"] = 0,
		["G"] = 1,
		["O"] = 1,
		["useOpacity"] = true,
	}, -- [3]
	{
		["useBackground"] = true,
		["R"] = 0,
		["B"] = 1,
		["G"] = 1,
		["O"] = 1,
		["useOpacity"] = true,
	}, -- [4]
	nil, -- [5]
	{
		["useBackground"] = true,
		["R"] = 0.5,
		["B"] = 0.5,
		["G"] = 0.5,
		["O"] = 1,
		["useOpacity"] = true,
	}, -- [6]
	[0] = {
		["useBackground"] = true,
		["R"] = 0,
		["B"] = 1,
		["G"] = 0,
		["O"] = 1,
		["useOpacity"] = true,
	},
}
VUHDO_SPELLS_KEYBOARD = {
	["SPELL15"] = "",
	["SPELL6"] = "",
	["SPELL8"] = "",
	["HOSTILE_WHEEL"] = {
		["1"] = {
			"", -- [1]
			"-w1", -- [2]
			"", -- [3]
		},
		["altctrl2"] = {
			"ALT-CTRL-", -- [1]
			"-w10", -- [2]
			"", -- [3]
		},
		["ctrlshift2"] = {
			"CTRL-SHIFT-", -- [1]
			"-w14", -- [2]
			"", -- [3]
		},
		["2"] = {
			"", -- [1]
			"-w2", -- [2]
			"", -- [3]
		},
		["ctrl2"] = {
			"CTRL-", -- [1]
			"-w6", -- [2]
			"", -- [3]
		},
		["shift2"] = {
			"SHIFT-", -- [1]
			"-w8", -- [2]
			"", -- [3]
		},
		["altshift1"] = {
			"ALT-SHIFT-", -- [1]
			"-w11", -- [2]
			"", -- [3]
		},
		["altctrl1"] = {
			"ALT-CTRL-", -- [1]
			"-w9", -- [2]
			"", -- [3]
		},
		["ctrl1"] = {
			"CTRL-", -- [1]
			"-w5", -- [2]
			"", -- [3]
		},
		["altctrlshift2"] = {
			"ALT-CTRL-SHIFT-", -- [1]
			"w16", -- [2]
			"", -- [3]
		},
		["altshift2"] = {
			"ALT-SHIFT-", -- [1]
			"-w12", -- [2]
			"", -- [3]
		},
		["alt2"] = {
			"ALT-", -- [1]
			"-w4", -- [2]
			"", -- [3]
		},
		["altctrlshift1"] = {
			"ALT-CTRL-SHIFT-", -- [1]
			"w15", -- [2]
			"", -- [3]
		},
		["ctrlshift1"] = {
			"CTRL-SHIFT-", -- [1]
			"-w13", -- [2]
			"", -- [3]
		},
		["shift1"] = {
			"SHIFT-", -- [1]
			"-w7", -- [2]
			"", -- [3]
		},
		["alt1"] = {
			"ALT-", -- [1]
			"-w3", -- [2]
			"", -- [3]
		},
	},
	["SPELL3"] = "",
	["SPELL4"] = "",
	["SPELL2"] = "",
	["SPELL16"] = "",
	["SPELL7"] = "",
	["SPELL12"] = "",
	["SPELL5"] = "",
	["SPELL9"] = "",
	["SPELL10"] = "",
	["SPELL14"] = "",
	["WHEEL"] = {
		["1"] = {
			"", -- [1]
			"-w1", -- [2]
			"", -- [3]
		},
		["altctrl2"] = {
			"ALT-CTRL-", -- [1]
			"-w10", -- [2]
			"", -- [3]
		},
		["ctrlshift2"] = {
			"CTRL-SHIFT-", -- [1]
			"-w14", -- [2]
			"", -- [3]
		},
		["2"] = {
			"", -- [1]
			"-w2", -- [2]
			"", -- [3]
		},
		["ctrl2"] = {
			"CTRL-", -- [1]
			"-w6", -- [2]
			"", -- [3]
		},
		["shift2"] = {
			"SHIFT-", -- [1]
			"-w8", -- [2]
			"", -- [3]
		},
		["altshift1"] = {
			"ALT-SHIFT-", -- [1]
			"-w11", -- [2]
			"", -- [3]
		},
		["altctrl1"] = {
			"ALT-CTRL-", -- [1]
			"-w9", -- [2]
			"", -- [3]
		},
		["ctrl1"] = {
			"CTRL-", -- [1]
			"-w5", -- [2]
			"", -- [3]
		},
		["altctrlshift2"] = {
			"ALT-CTRL-SHIFT-", -- [1]
			"-w16", -- [2]
			"", -- [3]
		},
		["altshift2"] = {
			"ALT-SHIFT-", -- [1]
			"-w12", -- [2]
			"", -- [3]
		},
		["alt2"] = {
			"ALT-", -- [1]
			"-w4", -- [2]
			"", -- [3]
		},
		["altctrlshift1"] = {
			"ALT-CTRL-SHIFT-", -- [1]
			"-w15", -- [2]
			"", -- [3]
		},
		["ctrlshift1"] = {
			"CTRL-SHIFT-", -- [1]
			"-w13", -- [2]
			"", -- [3]
		},
		["shift1"] = {
			"SHIFT-", -- [1]
			"-w7", -- [2]
			"", -- [3]
		},
		["alt1"] = {
			"ALT-", -- [1]
			"-w3", -- [2]
			"", -- [3]
		},
	},
	["SPELL13"] = "",
	["SPELL1"] = "",
	["SPELL11"] = "",
}
VUHDO_SPELL_CONFIG = {
	["IS_LOAD_HOTS"] = false,
	["IS_FIRE_HOT"] = false,
	["smartCastModi"] = "all",
	["IS_TOOLTIP_INFO"] = false,
	["IS_AUTO_FIRE"] = true,
	["IS_FIRE_CUSTOM_2"] = false,
	["IS_FIRE_TRINKET_2"] = true,
	["IS_FIRE_TRINKET_1"] = true,
	["IS_AUTO_TARGET"] = false,
	["autoBattleRez"] = true,
	["FIRE_CUSTOM_1_SPELL"] = "",
	["FIRE_CUSTOM_2_SPELL"] = "",
	["IS_KEEP_STANCE"] = false,
	["IS_FIRE_CUSTOM_1"] = false,
	["IS_FIRE_OUT_FIGHT"] = false,
}
VUHDO_BUFF_ORDER = {
	["02Thorns"] = 2,
	["01Gift of the Wild"] = 1,
	["02Vigilance"] = 2,
	["01Shout"] = 1,
}
VUHDO_SPEC_LAYOUTS = {
	["1"] = "",
	["2"] = "",
}
VUHDO_LAST_AUTO_ARRANG = nil
VUHDO_RAID = {
	["player"] = {
		["number"] = 1,
		["targetUnit"] = "target",
		["group"] = 1,
		["class"] = "WARRIOR",
		["range"] = 1,
		["unit"] = "player",
		["powertype"] = 1,
		["healthmax"] = 33611,
		["srole"] = 60,
		["sortMaxHp"] = 33611,
		["fullName"] = "Ercha",
		["debuffName"] = "",
		["connected"] = 1,
		["powermax"] = 100,
		["power"] = 57,
		["aggro"] = false,
		["classId"] = 20,
		["threatPerc"] = 0,
		["isPet"] = false,
		["prole"] = 50,
		["name"] = "Ercha",
		["className"] = "Warrior",
		["petUnit"] = "pet",
		["debuff"] = 0,
		["health"] = 33611,
	},
}
VUHDO_FAST_ACCESS_ACTIONS = {
}
